<?php
session_start();
include("config/db.php");
?>
<!DOCTYPE html>
<html>
<head>
<?php

include("config/config.php");

$pagename = "orders";
$pageid = "order_id";
$pagetitle = $page_names[$pagename];

if( !empty($_SESSION['USER_ID']) && !empty($_SESSION['USER_NAME']) ){
			$select="SELECT * FROM users WHERE user_id='".$_SESSION['USER_ID']."' AND name='".$_SESSION['USER_NAME']."' AND state=1 ";
			$result=mysqli_query($connection, $select);
			if (!$result) {
				die('not users select'.mysqli_error($connection));
			}
			$row=mysqli_fetch_row($result);
			if( mysqli_num_rows($result)>0 && array_key_exists($pagename,$page_names) ){
				echo "";
			}
			else{
				echo "<script language='javascript'>location.href='index.php'</script>";
			}
		}
		else{
			echo "<script language='javascript'>location.href='index.php'</script>";
		}

unset($_SESSION['SERVICE']);

$edit=0;
if( isset($_GET['edit']) && is_numeric(base64_decode($_GET['edit'])) ){
	$edit=htmlspecialchars(base64_decode($_GET['edit']));
}

if( isset($_GET['all']) ){	
	unset($_SESSION['y']);
}
if( isset($_GET['y']) && is_numeric(base64_decode($_GET['y'])) ){
	$y=htmlspecialchars(base64_decode($_GET['y']));
	$_SESSION['y']=$y;
}//if
else if( isset($_SESSION['y']) && is_numeric($_SESSION['y']) ){
	$y=$_SESSION['y'];
}//else if

unset($_SESSION['m']);
if( isset($_GET['m']) && is_numeric(base64_decode($_GET['m'])) ){
	$m=htmlspecialchars(base64_decode($_GET['m']));
	$_SESSION['m']=$m;
}//if

if( isset($y) && isset($m) ){
	$pagetitle=$pagetitle." - ".$month_names[$m]." ".$y;
}
else if( isset($y) ){
	$pagetitle=$pagetitle." - ".$y;
}
?>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php include("config/head.php");?>
<!-- Tell the browser to be responsive to screen width -->
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
<!-- Bootstrap 3.3.5 -->
<link rel="stylesheet" href="js/bootstrap/css/bootstrap.min.css">
<!-- Font Awesome -->
<link rel="stylesheet" href="js/font-awesome/css/font-awesome.min.css">
<!-- Theme style -->
<link rel="stylesheet" href="css/AdminLTE.min.css">
<!-- AdminLTE Skins. Choose a skin from the css/skins
folder instead of downloading all of them to reduce the load. -->
<link rel="stylesheet" href="css/skins/_all-skins.min.css">
<!-- DataTables -->
<link rel="stylesheet" href="js/datatables/dataTables.bootstrap.css">
<!-- Datepicker -->
<link rel="stylesheet" href="js/datepicker/datepicker3.css">
<!-- Select2 -->
<link rel="stylesheet" href="js/select2/select2.min.css">
<!-- Custom -->
<link rel="stylesheet" href="css/custom.min.css">
</head>
<body class="hold-transition skin-blue sidebar-mini">
	<div class="wrapper">
		<?php 
		include('config/banner.php');
		menu($pagename);
		?>
		<div class="content-wrapper">
			<section class="content-header">
				<h1><i class="<?php echo $menu_cats[$pagename];?>"></i> <?php echo $pagetitle;?></h1>
				<ol class="breadcrumb">
					<li><a href="home.php"><i class="<?php echo $menu_cats['home'];?>"></i> <?php echo $page_names['home']?></a></li>
					<li class="active"><i class="<?php echo $menu_cats[$pagename];?>"></i> <?php echo $page_names[$pagename]?></li>
				</ol>
			</section><!-- /content-header -->
			<section class="content">
				<?php
				if( $edit==0 ){
				?>
				<div class="row">
					<div class="col-xs-12">
						<?php
						if( isset($_POST['update']) && is_numeric(base64_decode($_POST['update'])) ){
							$id=htmlspecialchars(trim(base64_decode($_POST['update'])));
							$upd_user="#".$_SESSION['USER_ID']." ".$_SESSION['USER_NAME']." ".$_SERVER['REMOTE_ADDR'];
							
							$update="UPDATE $pagename SET note='".htmlspecialchars(trim($_POST['note']))."', status='".htmlspecialchars(trim($_POST['status']))."', upd_user='$upd_user' WHERE $pageid='".$id."' ";
							$rec = mysqli_query($connection, $update);
							if (!$rec) {
								die('not orders 95'.mysqli_error($connection));
							}
						}//else if update

						if( isset($_GET['delete']) && is_numeric(base64_decode($_GET['delete'])) ){
							$id=htmlspecialchars(trim(base64_decode($_GET['delete'])));
							$update="DELETE FROM $pagename WHERE $pageid='".$id."' ";
							$sql_update = mysqli_query($connection, $update);
							if (!$sql_update) {
								die('not 104 orders'.mysqli_error($connection));
							}
						}//if delete
						?>
						<div class="box">
							<div class="box-header with-border">
								<h4 class="box-title">
									<a href="services.php?all=1" class="btn btn-primary btn-lg">Текущие заказы</a>
								</h4>
								<div class="pull-right">
									<a class="btn btn-primary btn-lg" data-toggle="modal" data-target="#reportModal"><span class="fa fa-bar-chart-o"></span></a>
									&nbsp;
									<a class="btn btn-success btn-lg" data-toggle="modal" data-target="#searchModal"><span class="glyphicon glyphicon-search"></span></a>
								</div>
								<div id="reportModal" class="modal fade modal-default" role="dialog" aria-labelledby="basicModal" aria-hidden="true">
									<div class="modal-dialog modal-lg">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal"><i class="fa fa-close"></i></button>
												<h4 class="modal-title"><i class="fa fa-bar-chart-o"></i> Отчёт</h4>
											</div><!-- /.modal-header -->
											<div class="modal-body">
												<form action="orders_print.php" method="post" target="_blank" enctype="multipart/form-data" role="form">
													<div class="box-body">
														<div class="row">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="date1">Дата 1</label>
																	<?php datepicker_field("date1","date1","class='form-control datepicker' placeholder='Дата 1'","",date("Y-m-d"));?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="date2">Дата 2</label>
																	<?php datepicker_field("date2","date2","class='form-control datepicker' placeholder='Дата 2'","",date("Y-m-d"));?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="status">Статус</label>
																	<?php selectfor_field("status","status","class='form-control'","","",$orders_status);?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
														</div><!-- /.row -->
													</div><!-- /.box-body -->
													<div class="box-footer">
														<?php
														hidden_field("search_table","search_table","","","orders");
														?>
														<button type="submit" class="btn btn-primary btn-lg">Показать</button>
													</div>
												</form>

											</div><!-- /.modal-body -->
										</div><!-- /.modal-content -->
									</div><!-- /.modal-dialog -->
								</div><!-- /.modal -->
								<div id="searchModal" class="modal fade modal-default" role="dialog" aria-labelledby="basicModal" aria-hidden="true">
									<div class="modal-dialog modal-lg">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal"><i class="fa fa-close"></i></button>
												<h4 class="modal-title"><i class="fa fa-search"></i> Поиск</h4>
											</div><!-- /.modal-header -->
											<div class="modal-body">
												<div class="nav-tabs-custom">
													<ul class="nav nav-tabs">
														<li class="active"><a href="#tab_20" data-toggle="tab">По заказам</a></li>
														<li><a href="#tab_21" data-toggle="tab">По продуктам</a></li>
													</ul>
													<div class="tab-content">
														<div class="tab-pane active" id="tab_20">
															<form action="<?php echo $pagename;?>.php" method="post" enctype="multipart/form-data" role="form">
																<div class="box-body">
																	<div class="row">
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="order_no">№ заказа</label>
																				<?php text_field("order_no","order_no","class='form-control' placeholder='№ заказа'","","");?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="type">Тип</label>
																				<?php selectfor_field("type","type","class='form-control'","","",$orders_type);?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="signeduser_id">Заказчик</label>
																				<?php select_field("signeduser_id","signeduser_id","class='form-control select2' style='width:100%'","","","SELECT signeduser_id, login FROM signedusers WHERE 1=1 ORDER BY login ASC");?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="note">Заметка</label>
																				<?php text_field("note","note","class='form-control' placeholder='Заметка'","","");?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="status">Статус</label>
																				<?php selectfor_field("status","status","class='form-control'","","",$orders_status);?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																	</div><!-- /.row -->
																</div><!-- /.box-body -->
																<div class="box-footer">
																	<?php
																	hidden_field("search_table","search_table","","","orders");
																	?>
																	<button type="submit" class="btn btn-primary btn-lg">Показать</button>
																</div>
															</form>
														</div><!-- /.tab-pane -->
														<div class="tab-pane" id="tab_21">
															<form action="<?php echo $pagename;?>.php" method="post" enctype="multipart/form-data" role="form">
																<div class="box-body">
																	<div class="row">
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="product_id">Продукт</label>
																				<?php select_field("product_id","product_id","class='form-control select2' style='width:100%'","","","SELECT product_id, name_ru FROM products WHERE 1=1 ORDER BY name_ru ASC");?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="amount">Кол-во</label>
																				<?php text_field("amount","amount","class='form-control' placeholder='Кол-во'","","");?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																		<div class="col-xs-12 col-sm-6">
																			<div class="form-group">
																				<label for="price">Цена</label>
																				<?php text_field("price","price","class='form-control' placeholder='Цена'","","");?>
																			</div><!-- /.form-group -->
																		</div><!-- /.col -->
																	</div><!-- /.row -->
																</div><!-- /.box-body -->
																<div class="box-footer">
																	<?php
																	hidden_field("search_table","search_table","","","orderdetails");
																	?>
																	<button type="submit" class="btn btn-primary btn-lg">Показать</button>
																</div>
															</form>
														</div><!-- /.tab-pane -->
													</div><!-- /.tab-content -->
												</div><!-- nav-tabs-custom -->
											</div><!-- /.modal-body -->
										</div><!-- /.modal-content -->
									</div><!-- /.modal-dialog -->
								</div><!-- /.modal -->
							</div><!-- /.box-header -->
							<div class="box-body">
								<?php
								/*unset($_SESSION['whereValue']);	
								unset($_SESSION['whereTable']);	
								if( isset($_POST['search_table']) && $_POST['search_table']=='orders' ){
									$whereValue="";
									if( isset($_POST['order_no']) && $_POST['order_no']!="" )
										$whereValue.=" AND orders.order_no LIKE '%".htmlspecialchars(trim($_POST['order_no']))."%' ";
									if( isset($_POST['type']) && $_POST['type']>0 )
										$whereValue.=" AND orders.type='".htmlspecialchars(trim($_POST['type']))."' ";
									if( isset($_POST['signeduser_id']) && $_POST['signeduser_id']>0 )
										$whereValue.=" AND orders.signeduser_id='".htmlspecialchars(trim($_POST['signeduser_id']))."' ";
									if( isset($_POST['note']) && $_POST['note']!="" )
										$whereValue.=" AND orders.note LIKE '%".htmlspecialchars(trim($_POST['note']))."%' ";
									if( isset($_POST['status']) && $_POST['status']>0 )
										$whereValue.=" AND orders.status='".htmlspecialchars(trim($_POST['status']))."' ";
										
									$_SESSION['whereValue']=$whereValue;
								}//if
								else if( isset($_POST['search_table']) && $_POST['search_table']=='orderdetails' ){
									$whereValue="";
									if( isset($_POST['product_id']) && $_POST['product_id']>0 )
										$whereValue.=" AND orderdetails.product_id='".htmlspecialchars(trim($_POST['product_id']))."' ";
									if( isset($_POST['amount']) && $_POST['amount']>0 )
										$whereValue.=" AND orderdetails.amount='".htmlspecialchars(trim($_POST['amount']))."' ";
									if( isset($_POST['price']) && $_POST['price']>0 )
										$whereValue.=" AND orderdetails.price='".htmlspecialchars(trim($_POST['price']))."' ";

									$_SESSION['whereValue']=$whereValue;
									$_SESSION['whereTable']=$_POST['search_table'];*/
								}//else if

								$sql = "SELECT * FROM orders ORDER BY order_id DESC";
								$result = mysqli_query($connection, $sql);
								if (!$result) {
									die('not connection orders'.mysqli_error($connection));
								}
								?>
								<table class="table table-bordered table-hover table-responsive table-striped">
									<thead>
										<tr class="bg-info">
											<th width="5%">№ заказа</th>
											<th width="10%">Дата заказа</th>
											<th width="10%">Тип</th>
											<th width="10%">Email</th>
											<th width="10%">Номер телефона</th>
											<th width="10%">Адрес</th>
											<th width="10%">Сумма</th>
											<th width="10%">Статус</th>
											<th width="10%">Ред.</th>
										</tr>
									</thead>
									<tbody>
										<?php
										$tel = '';
										$orders_status=array(
										'1'=>'Новый заказ',
										'2'=>'Заказ принят',
										'3'=>'Заказ в пути',
										'4'=>'Заказ доставлен'
										);
										while ($row = mysqli_fetch_assoc($result)) {

											$order_id = $row['order_id'];
											$signeduser_id = $row['signeduser_id'];
											$note = $row['note'];
											$type = $row['type'];
											$order_no = $row['order_no'];
											$status = $row['status'];
											$reg_user = $row['reg_user'];

										
										$sql_select = "SELECT * FROM signedusers WHERE signeduser_id = '".$signeduser_id."' ";
										$result_select = mysqli_query($connection, $sql_select);
										if (!$result_select) {
											die('nnot select signedusers'.mysqli_error($connection));
										}
										while ($row_s = mysqli_fetch_assoc($result_select)) {
											$login = $row_s['login'];
											$phone = $row_s['phone'];
											$reg_date = $row_s['reg_date'];
											$address = $row_s['address'];
											if ($tel != $phone) {
												
											
											?>

											<tr>
											<td><?php echo $order_no; ?></td>
											<td><?php echo $reg_date; ?></td>
											<td><?php echo $type; ?></td>
											<td><?php echo $login; ?></td>
											<td><?php echo $phone; ?></td>
											<td><?php echo $address; ?></td>
											<td></td>
											<td>
												<?php 

												if( $status==1 )
										echo "<center><span class='badge bg-yellow'>".$orders_status[1]."</span></center>";
									else if( $status==2 )
										echo "<center><span class='badge bg-green'>".$orders_status[2]."</span></center>";
									else if( $status==3 )
										echo "<center><span class='badge bg-aqua'>".$orders_status[3]."</span></center>";
									else if( $status==4 )
										echo "<center><span class='badge bg-green'>".$orders_status[4]."</span></center>";

												?>
											</td>
											<td><center>
<a href="orders_edit.php?edit=<?php echo base64_encode($reg_user); ?>&phone=<?php echo $phone; ?>&date=<?php  echo $reg_date;?>" class='btn btn-primary btn-sm'><span class='glyphicon glyphicon-edit' aria-hidden='true'></span> <span class='hidden-xs'>Ред.</span></a>
</center></td>

										</tr>
										<?php } }
									}	
										?>
										
									</tbody>
								</table>
							</div><!-- /.box-body -->
						</div><!-- /.box -->
					</div><!-- /.col -->
				</div><!-- /.row -->			
				<?php
				//}if edit 0
				if( $edit>0 ){
				?>
				<div class="row">
					<div class="col-xs-12">
						<?php
						if( isset($_GET['del']) && isset($_GET['dpagename']) && isset($_GET['dpageid']) ){
							$del=htmlspecialchars(trim(base64_decode($_GET['del'])));
							$dpagename=htmlspecialchars(trim(base64_decode($_GET['dpagename'])));
							$dpageid=htmlspecialchars(trim(base64_decode($_GET['dpageid'])));
							$update="DELETE FROM $dpagename WHERE $dpageid='".$del."' ";
							$update_sql = mysqli_query($connection, $update);
							if (!$update_sql) {
								die('not 323 ordes'.mysqli_error($connection));
							}
						}//if del dpage
						?>
						<div class="box no-border">
							<div class="box-header">
								<a href="<?php echo $pagename;?>.php" class="btn btn-info btn-lg"><i class="glyphicon glyphicon-chevron-left"></i> Назад</a>
							</div><!-- /.box-header -->
						</div><!-- /.box -->
						<div class="nav-tabs-custom">
							<ul class="nav nav-tabs">
								<?php
								$d1="active";
								$d2="";
								if( isset($_GET['d']) && $_GET['d']==2 ){
									$d1="";
									$d2="active";
								}//if
								?>
								<li class="<?php echo $d1;?>"><a href="#tab_1" data-toggle="tab">Заказ</a></li>
								<li class="<?php echo $d2;?>"><a href="#tab_2" data-toggle="tab">Продукты</a></li>
								<li class="pull-right"><a class="text-muted"><i class="<?php echo $menu_cats[$pagename];?>"></i></a></li>
							</ul>
							<div class="tab-content">
								<div class="tab-pane <?php echo $d1;?>" id="tab_1">
									<?php
									$var=query_select_assoc("SELECT * FROM $pagename WHERE $pageid=$edit");
									?>
									<form action="<?php echo $pagename;?>.php" method="post" enctype="multipart/form-data" role="form">
										<div class="box-body">
											<div class="row">
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label for="order_no">№ заказа</label>
														<?php text_field("order_no","order_no","class='form-control' disabled placeholder='№ заказа'","",$var[0]['order_no']);?>
													</div><!-- /.form-group -->
												</div><!-- /.col -->
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label for="reg_date">Дата заказа</label>
														<?php datepicker_field("reg_date","reg_date","class='form-control datepicker' disabled placeholder='Дата заказа'","",$var[0]['reg_date']);?>
													</div><!-- /.form-group -->
												</div><!-- /.col -->
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label for="type">Тип</label>
														<?php selectfor_field("type","type","class='form-control' disabled","1",$var[0]['type'],$orders_type);?>
													</div><!-- /.form-group -->
												</div><!-- /.col -->
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label for="signeduser_id">Заказчик</label>
														<?php select_field("signeduser_id","signeduser_id","class='form-control select2' disabled style='width:100%'","",$var[0]['signeduser_id'],"SELECT signeduser_id, login FROM signedusers WHERE 1=1 ORDER BY login ASC");?>
													</div><!-- /.form-group -->
												</div><!-- /.col -->
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label for="note">Заметка</label>
														<?php textarea_field("note","note","class='form-control' rows='2' placeholder='Заметка'","",$var[0]['note']);?>
													</div><!-- /.form-group -->
												</div><!-- /.col -->
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label for="status">Статус</label>
														<?php selectfor_field("status","status","class='form-control'","1",$var[0]['status'],$orders_status);?>
													</div><!-- /.form-group -->
												</div><!-- /.col -->
											</div><!-- /.row -->
										</div><!-- /.box-body -->
										<div class="box-footer">
											<?php
											hidden_field("update","update","","",base64_encode($edit));
											?>
											<button type="submit" class="btn btn-primary btn-lg"><i class="fa fa-save"></i> Сохранить</button>
											<div class="pull-right"><a href="<?php echo "$pagename.php?delete=".base64_encode($edit);?>" class="btn btn-danger btn-lg" onClick="return confirm('Удалить?')"><i class="fa fa-trash"></i></a></div>
										</div>
									</form>
								</div><!-- /.tab-pane -->
								<div class="tab-pane <?php echo $d2;?>" id="tab_2">
									<div class="box-body">
										<table class="dataTable table table-bordered table-hover table-responsive table-striped">
											<thead>
												<tr class="bg-info">
													<th width="20%">Продукт</th>
													<th width="10%">Barcode</th>
													<th width="10%">Кол-во</th>
													<th width="10%">Цена</th>
													<th width="10%">Сумма</th>
													<th width="10%">Удалить</th>
												</tr>
											</thead>
											<tbody>
												<?php
												$var=query_select("SELECT orderdetails.orderdetail_id, products.name_ru, orderdetails.amount, orderdetails.price, products.barcode FROM orderdetails, products WHERE orderdetails.product_id=products.product_id AND orderdetails.order_id=$edit");
												for( $i=0;$i<count($var);$i++ ){
													echo "<tr>";
														echo "<td>".$var[$i][1]."</td>";
														echo "<td>".$var[$i][4]."</td>";
														echo "<td align='center'>".round($var[$i][2],3)."</td>";
														echo "<td align='right'>".$var[$i][3]."</td>";
														$total=($var[$i][2]*$var[$i][3]);
														echo "<td align='right'>".number_format($total,2,'.','')."</td>";
														echo "<td align='center'>";
															echo "<a href='$pagename.php?edit=".base64_encode($edit)."&del=".base64_encode($var[$i][0])."&dpagename=".base64_encode("orderdetails")."&dpageid=".base64_encode("orderdetail_id")."&d=2' class='btn btn-danger btn-md' onclick='return confirm(\"Удалить?\")'><i class='fa fa-trash'></i></a>";
														echo "</td>";
													echo "</tr>";
												}//for
												?>
											</tbody>
										</table>
									</div><!-- /.box-body -->
								</div><!-- /.tab-pane -->
							</div><!-- /.tab-content -->
						</div><!-- nav-tabs-custom -->
					</div><!-- /.col -->
				</div><!-- /.row -->			
				<?php
				}//else if edit>0
				?>
			</section><!-- /content -->
		</div><!-- /content-wrapper -->
		<?php include('config/footer.php');?>
	</div><!-- ./wrapper -->
	<!-- jQuery 2.1.4 -->
	<script src="js/jQuery/jQuery-2.1.4.min.js"></script>
	<!-- Bootstrap 3.3.5 -->
	<script src="js/bootstrap/js/bootstrap.min.js"></script>
	<!-- SlimScroll -->
	<script src="js/slimScroll/jquery.slimscroll.min.js"></script>
	<!-- FastClick -->
	<script src="js/fastclick/fastclick.min.js"></script>
	<!-- AdminLTE App -->
	<script src="js/app.min.js"></script>
	<!-- AdminLTE for demo purposes -->
	<script src="js/demo.js"></script>
    <!-- DataTables -->
    <script src="js/datatables/jquery.dataTables.min.js"></script>
    <script src="js/datatables/dataTables.bootstrap.min.js"></script>
    <!-- Datepicker -->
    <script src="js/datepicker/bootstrap-datepicker.js"></script>
    <!-- Select2 -->
    <script src="js/select2/select2.full.min.js"></script>
    <!-- page script -->
    <script>
		/*$(function () {
			//Initialize Select2 Elements
			$(".select2").select2();

			$('#infoModal').modal('show');						
			setTimeout(function(){
				$("#infoModal").modal('hide');
			}, 1000);
			
			$('.datepicker').datepicker({
				format: "dd.mm.yyyy",
				autoclose: "true",
				weekStart: 1,
				startDate: "01.01.1900",
				todayHighlight: true
			});  
		
			$(".dataTable").dataTable();
			$('.dataTable').wrap('<div class="dataTables_scroll" />');
		
			var dataTable = $('#dataTable').DataTable( {
				"sScrollX": '100%',
				"sScrollXInner": '100%',
				"processing": true,
				"serverSide": true,
				"bStateSave": true,
                "order": [[ 1, "desc" ]],
				"ajax":"config/dataProcessing/<?php echo $pagename;?>.php"
			} );
		});*/
    </script>
</body>
</html>