<?php
session_start();
include("config/db.php");
?>
<!DOCTYPE html>
<html>
<head>
<?php
include("config/config.php");

$pagename = "orders_print";
$pageid = "";
$pagetitle = $page_names[$pagename];

if( !empty($_SESSION['USER_ID']) && !empty($_SESSION['USER_NAME']) ){
			$select="SELECT * FROM users WHERE user_id='".$_SESSION['USER_ID']."' AND name='".$_SESSION['USER_NAME']."' AND state=1 ";
			$result=mysqli_query($connection, $select);
			if (!$result) {
				die('not users select'.mysqli_error($connection));
			}
			$row=mysqli_fetch_row($result);
			if( mysqli_num_rows($result)>0 && array_key_exists($pagename,$page_names) ){
				echo "";
			}
			else{
				echo "<script language='javascript'>location.href='index.php'</script>";
			}
		}
		else{
			echo "<script language='javascript'>location.href='index.php'</script>";
		}

//date1
if( isset($_POST['date1']) && $_POST['date1']!="" ){
	$date1=htmlspecialchars(trim($_POST['date1']));
	$tmp1=explode(".",$date1);
	$date1=$tmp1[2]."-".$tmp1[1]."-".$tmp1[0]." 00:00:00";
	$date1Title=$tmp1[0].".".$tmp1[1].".".$tmp1[2];
}//if
else if( empty($_POST['date1']) || $_POST['date1']=="" ){
	$date1=date("Y-m-d 00:00:00");
	$date1Title=date("d.m.Y");
}//else if

//date2
if( isset($_POST['date2']) && $_POST['date2']!="" ){
	$date2=htmlspecialchars(trim($_POST['date2']));
	$tmp2=explode(".",$date2);
	$date2=$tmp2[2]."-".$tmp2[1]."-".$tmp2[0]." 23:59:59";
	$date2Title=$tmp2[0].".".$tmp2[1].".".$tmp2[2];
}//if
else if( empty($_POST['date2']) || $_POST['date2']=="" ){
	$date2=date("Y-m-d 23:59:59");
	$date2Title=date("d.m.Y");
}//else if

$pagetitle="$date1Title - $date2Title";
?>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php include("config/head.php");?>
<!-- Tell the browser to be responsive to screen width -->
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
<!-- Bootstrap 3.3.5 -->
<link rel="stylesheet" href="js/bootstrap/css/bootstrap.min.css">
<!-- Font Awesome -->
<link rel="stylesheet" href="js/font-awesome/css/font-awesome.min.css">
<!-- Theme style -->
<link rel="stylesheet" href="css/AdminLTE.min.css">
</head>
<body>
	<?php
	if( isset($date1) && isset($date2) ){
	?>
	<div class="wrapper">
		<!-- Main content -->
		<section class="invoice">
			<?php
			$whereValue="";
			if( isset($_POST['status']) && $_POST['status']>0 ){
				$status=htmlspecialchars(trim($_POST['status']));
				$whereValue=" AND orders.status=$status ";
			}//if
				

			$var=query_select_assoc("SELECT 
								orders.order_id, 
								orders.order_no, 
								DATE_FORMAT(orders.reg_date,'%d.%m.%Y %H:%i') AS reg_date, 
								orders.type,
								signedusers.phone,
								signedusers.address,
								orders.note,
								orders.status,
								(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orderdetails WHERE orderdetails.order_id=orders.order_id) AS total
								FROM orders LEFT JOIN signedusers ON orders.signeduser_id=signedusers.signeduser_id
								WHERE orders.state=1 AND orders.reg_date>='".$date1."' AND orders.reg_date<='".$date2."' $whereValue 
								ORDER BY orders.reg_date ASC");
			if( $var>0 ){
			?>
			<!-- title row -->
			<div class="row">
				<div class="col-xs-12">
					<table class="table-responsive">
						<tr>
							<td align="left" colspan="2" style="vertical-align:middle">
								<img src='img/logo.svg?1' style="width:70px;padding-bottom:10px;">
							</td>
						</tr>
						<tr>
							<td>Отчёт : &nbsp;</td>
							<td>По заказам</td>
						</tr>
						<tr>
							<td>Дата заказов: &nbsp;</td>
							<td><?php echo $pagetitle;?></td>
						</tr>
					</table>
				</div><!-- /.col -->
			</div><!-- /.row -->
			<br>
			<!-- Table row -->
			<div class="row">
				<div class="col-xs-12 table-responsive">
					<table class="table table-condensed table-striped table-bordered table-hover" border="1" style="font-size:12px;">
						<thead>
							<tr class="bg-light-blue-gradient">
								<td width="5%" align="center" style="vertical-align:middle"><b>№ заказа</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Дата заказа</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Тип</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Номер телефона</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Адрес</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Заметка</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Статус</b></td>
								<td width="10%" align="center" style="vertical-align:middle"><b>Сумма</b></td>
							</tr>
						</thead>
						<tbody>
							<?php
							$total=0.00;
							for( $i=0;$i<count($var);$i++ ){
								?>
								<tr class="bg-info">
									<td align="center"><?php echo $var[$i]['order_no'];?></td>
									<td align="center"><?php echo $var[$i]['reg_date'];?></td>
									<td align="center"><?php echo @$orders_type[$var[$i]['type']];?></td>
									<td><?php echo $var[$i]['phone'];?></td>
									<td><?php echo $var[$i]['address'];?></td>
									<td><?php echo $var[$i]['note'];?></td>
									<td align="center"><?php echo @$orders_status[$var[$i]['status']];?></td>
									<td align="right">
										<?php 
										echo @number_format($var[$i]['total'],2,"."," ");
										$total+=$var[$i]['total'];
										?>
									</td>
								</tr>
								<?php
							}//for
							?>
							<tr class="bg-info">
								<td colspan="7" align="right"><big><b>ИТОГО:</b></big></td>
								<td align="right"><big><b><?php echo @number_format($total,2,"."," ");?></b></big></td>
							</tr>
						</tbody>
					</table>
				</div><!-- /.col -->
			</div><!-- /.row -->
			<?php
			}//if var>0
			else{
			?>
			<!-- title row -->
			<div class="row">
				<div class="col-xs-12">
					<h2 class="page-header">
						<i class="fa fa-ban"></i> Нет данных!
					</h2>
				</div><!-- /.col -->
			</div><!-- /.row -->
			<?php
			}//else var>0
			?>
		</section><!-- /.content -->
	</div><!-- ./wrapper -->
	<?php
	}//if isset date1 and date2
	?>
</body>
</html>