<?php
session_start();
include("config/db.php");
?>
<!DOCTYPE html>
<html>
<head>
<?php
include("config/config.php");

$pagename = "reports";
$pageid = "";
$pagetitle = $page_names[$pagename];

/*users_permission();*/

if( isset($_GET['y']) && is_numeric(base64_decode($_GET['y'])) ){
	$y=htmlspecialchars(base64_decode($_GET['y']));
	$_SESSION['y']=$y;
}//if
else if( isset($_SESSION['y']) && is_numeric($_SESSION['y']) ){
	$y=$_SESSION['y'];
}//else if
else{
	$y=date("Y");
	$_SESSION['y']=$y;
}//else

if( isset($_GET['m']) && is_numeric(base64_decode($_GET['m'])) && array_key_exists(base64_decode($_GET['m']),$month_names) ){
	$m=htmlspecialchars(base64_decode($_GET['m']));
	$_SESSION['m']=$m;
}//if
else if( isset($_SESSION['m']) && is_numeric($_SESSION['m']) ){
	$m=$_SESSION['m'];
}//else if
else{
	$m=date("n");
	$_SESSION['m']=$m;
}//else

if( isset($y) && isset($m) )
	$pagetitle=$pagetitle." - ".$month_names[$m]." ".$y;
else
	$pagetitle=$pagetitle." - ".$y;

?>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php include("config/head.php");?>
<!-- Tell the browser to be responsive to screen width -->
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
<!-- Bootstrap 3.3.5 -->
<link rel="stylesheet" href="js/bootstrap/css/bootstrap.min.css">
<!-- Font Awesome -->
<link rel="stylesheet" href="js/font-awesome/css/font-awesome.min.css">
<!-- Theme style -->
<link rel="stylesheet" href="css/AdminLTE.min.css">
<!-- AdminLTE Skins. Choose a skin from the css/skins
folder instead of downloading all of them to reduce the load. -->
<link rel="stylesheet" href="css/skins/_all-skins.min.css">
<!-- Select2 -->
<link rel="stylesheet" href="js/select2/select2.min.css">
<!-- Morris charts -->
<link rel="stylesheet" href="js/morris/morris.css">
</head>
<body class="hold-transition skin-blue sidebar-collapse">
	<div class="wrapper">
		<?php 
		include('config/banner.php');
		menu($pagename);
		?>
		<div class="content-wrapper">
			<section class="content-header">
				<h1><?php echo $pagetitle;?></h1>
				<ol class="breadcrumb">
					<li><a href="home.php"><i class="<?php echo $menu_cats['home'];?>"></i> <?php echo $page_names['home']?></a></li>
					<li class="active"><i class="<?php echo $menu_cats[$pagename];?>"></i> <?php echo $page_names[$pagename]?></li>
				</ol>
			</section><!-- /content-header -->
			<section class="content ui-sortable">
				<div class="row">
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="box">
							<div class="box-header">
								<i class="fa fa-bar-chart-o"></i>
								<h3 class="box-title"><?php echo date('d.m.').$y;?> - заказы</h3>
								<div class="box-tools">
									<button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
									<button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
								</div>
							</div><!-- /.box-header -->
							<div class="box-body chart-responsive">
								<div class="chart" id="donut-chart1" style="height: 250px; position: relative;"></div>
							</div><!-- /.box-body -->
							<div class="box-footer no-padding">
								<ul class="nav nav-pills nav-stacked">
									<?php 
									echo $varDonut1=query_select("SELECT (SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails  WHERE orders.state=1 AND orderdetails.order_id=orders.order_id AND orders.type=1 AND orders.status=4 AND orders.reg_date LIKE '$y".date("-m-d")."%' ),
									(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails  WHERE orders.state=1 AND orderdetails.order_id=orders.order_id AND orders.type=2 AND orders.status=4 AND orders.reg_date LIKE '$y".date("-m-d")."%' )
									FROM orders AS o WHERE state=1 LIMIT 0,1");
									$donut1Type1=$varDonut1[0][0];
									$donut1Type2=$varDonut1[0][1];
									?>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>&m=<?php echo base64_encode($m);?>" class="text-blue"><?php echo $orders_type[1];?> <span class="pull-right text-blue"><i class="fa fa-angle-right"></i> <?php echo number_format($donut1Type1+0,2,"."," ");?></span></a></li>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>&m=<?php echo base64_encode($m);?>" class="text-blue"><?php echo $orders_type[2];?> <span class="pull-right text-blue"><i class="fa fa-angle-right"></i> <?php echo number_format($donut1Type2+0,2,"."," ");?></span></a></li>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>&m=<?php echo base64_encode($m);?>" class="text-blue"><b>Всего</b> <span class="pull-right text-blue"><i class="fa fa-angle-right"></i> <b><?php echo number_format($donut1Type1+$donut1Type2+0,2,"."," ");?></b></span></a></li>
								</ul>
							</div><!-- /.footer -->
						</div><!-- /.box -->
					</div><!-- /.col -->
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="box">
							<div class="box-header">
								<i class="fa fa-bar-chart-o"></i>
								<h3 class="box-title"><?php echo $y.' '.$month_names[$m];?> - заказы</h3>
								<div class="box-tools">
									<button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
									<button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
								</div>
							</div><!-- /.box-header -->
							<div class="box-body chart-responsive">
								<div class="chart" id="donut-chart2" style="height: 250px; position: relative;"></div>
							</div><!-- /.box-body -->
							<div class="box-footer no-padding">
								<ul class="nav nav-pills nav-stacked">
									<?php 
									$varDonut2=query_select("
									SELECT 
									(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails  WHERE orders.state=1 AND orderdetails.order_id=orders.order_id AND orders.type=1 AND orders.status=4 AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='$m' ),
									(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails  WHERE orders.state=1 AND orderdetails.order_id=orders.order_id AND orders.type=2 AND orders.status=4 AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='$m' )
									FROM orders AS o WHERE state=1 LIMIT 0,1");
									$donut2Type1=$varDonut2[0][0];
									$donut2Type2=$varDonut2[0][1];
									?>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>&m=<?php echo base64_encode($m);?>" class="text-yellow"><?php echo $orders_type[1];?> <span class="pull-right text-yellow"><i class="fa fa-angle-right"></i> <?php echo number_format($donut2Type1+0,2,"."," ");?></span></a></li>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>&m=<?php echo base64_encode($m);?>" class="text-yellow"><?php echo $orders_type[2];?> <span class="pull-right text-yellow"><i class="fa fa-angle-right"></i> <?php echo number_format($donut2Type2+0,2,"."," ");?></span></a></li>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>&m=<?php echo base64_encode($m);?>" class="text-yellow"><b>Всего</b> <span class="pull-right text-yellow"><i class="fa fa-angle-right"></i> <b><?php echo number_format($donut2Type1+$donut2Type2+0,2,"."," ");?></b></span></a></li>
								</ul>
							</div><!-- /.footer -->
						</div><!-- /.box -->
					</div><!-- /.col -->
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="box">
							<div class="box-header">
								<i class="fa fa-bar-chart-o"></i>
								<h3 class="box-title"><?php echo $y;?> год - заказы</h3>
								<div class="box-tools">
									<button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
									<button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
								</div>
							</div><!-- /.box-header -->
							<div class="box-body chart-responsive">
								<div class="chart" id="donut-chart3" style="height: 250px; position: relative;"></div>
							</div><!-- /.box-body -->
							<div class="box-footer no-padding">
								<ul class="nav nav-pills nav-stacked">
									<?php 
									$varDonut3=query_select("
									SELECT 
									(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails  WHERE orders.state=1 AND orderdetails.order_id=orders.order_id AND orders.type=1 AND orders.status=4 AND YEAR(orders.reg_date)='$y' ),
									(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails  WHERE orders.state=1 AND orderdetails.order_id=orders.order_id AND orders.type=2 AND orders.status=4 AND YEAR(orders.reg_date)='$y' )
									FROM orders AS o WHERE state=1 LIMIT 0,1");
									$donut3Type1=$varDonut3[0][0];
									$donut3Type2=$varDonut3[0][1];
									?>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>" class="text-green"><?php echo $orders_type[1];?> <span class="pull-right text-green"><i class="fa fa-angle-right"></i> <?php echo number_format($donut3Type1+0,2,"."," ");?></span></a></li>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>" class="text-green"><?php echo $orders_type[2];?> <span class="pull-right text-green"><i class="fa fa-angle-right"></i> <?php echo number_format($donut3Type2+0,2,"."," ");?></span></a></li>
									<li><a href="orders.php?y=<?php echo base64_encode($y);?>" class="text-green"><b>Всего</b> <span class="pull-right text-green"><i class="fa fa-angle-right"></i> <b><?php echo number_format($donut3Type1+$donut3Type2+0,2,"."," ");?></b></span></a></li>
								</ul>
							</div><!-- /.footer -->
						</div><!-- /.box -->
					</div><!-- /.col -->
				</div><!-- /.row -->
				<div class="row">
					<div class="col-xs-12">
						<div class="box">
							<div class="box-header">
								<i class="fa fa-bar-chart-o"></i>
								<h3 class="box-title"><?php echo $y.' '.$month_names[$m];?> - заказы</h3>
								<div class="box-tools">
									<button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
									<button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
								</div>
							</div>
							<div class="box-body chart-responsive">
								<div class="chart" id="line-chart1" style="height: 250px;"></div>
							</div><!-- /.box-body -->
						</div><!-- /.box -->
					</div><!-- /.col -->
				</div><!-- /.row -->			
				<div class="row">
					<div class="col-xs-12">
						<div class="box">
							<div class="box-header">
								<i class="fa fa-bar-chart-o"></i>
								<h3 class="box-title"><?php echo $y;?> год - заказы</h3>
								<div class="box-tools">
									<button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
									<button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
								</div>
							</div>
							<div class="box-body chart-responsive">
								<div class="chart" id="line-chart2" style="height: 250px;"></div>
							</div><!-- /.box-body -->
						</div><!-- /.box -->
					</div><!-- /.col -->
				</div><!-- /.row -->			
			</section><!-- /content -->
		</div><!-- /content-wrapper -->
		<?php include('config/footer.php');?>
	</div><!-- ./wrapper -->
	<!-- jQuery 2.1.4 -->
	<script src="js/jQuery/jQuery-2.1.4.min.js"></script>
	<!-- Bootstrap 3.3.5 -->
	<script src="js/bootstrap/js/bootstrap.min.js"></script>
	<!-- SlimScroll -->
	<script src="js/slimScroll/jquery.slimscroll.min.js"></script>
	<!-- FastClick -->
	<script src="js/fastclick/fastclick.min.js"></script>
	<!-- AdminLTE App -->
	<script src="js/app.min.js"></script>
	<!-- AdminLTE for demo purposes -->
	<script src="js/demo.js"></script>
    <!-- Select2 -->
    <script src="js/select2/select2.full.min.js"></script>
    <!-- Morris.js charts -->
    <script src="js/morris/raphael.min.js" type="text/javascript"></script>
    <script src="js/morris/morris.min.js" type="text/javascript"></script>
    <!-- Page script -->
    <script type="text/javascript">
		$(function () {
			//Initialize Select2 Elements
			$(".select2").select2();
			
			// start donut chart 1
			<?php
			$temp0=number_format($donut1Type1+0,2,".","");
			$temp1=number_format($donut1Type2+0,2,".","");
			?>
			var donut = new Morris.Donut({
			element: 'donut-chart1',
			resize: true,
			colors: ["#90DDF0", "#50D0EF", "#00c0ef"],
			data: [
			{label: '<?php echo $orders_type[1];?>', value: <?php echo $temp0;?>},
			{label: '<?php echo $orders_type[2];?>', value: <?php echo $temp1;?>}
			],
			hideHover: 'auto'
			});
			//end donut chart 1

			// start donut chart 2
			<?php
			$temp0=number_format($donut2Type1+0,2,".","");
			$temp1=number_format($donut2Type2+0,2,".","");
			?>
			var donut = new Morris.Donut({
			element: 'donut-chart2',
			resize: true,
			colors: ["#E6F46D", "#E0F629", "#f39c12"],
			data: [
			{label: '<?php echo $orders_type[1];?>', value: <?php echo $temp0;?>},
			{label: '<?php echo $orders_type[2];?>', value: <?php echo $temp1;?>}
			],
			hideHover: 'auto'
			});
			//end donut chart 2

			// start donut chart 3
			<?php
			$temp0=number_format($donut3Type1+0,2,".","");
			$temp1=number_format($donut3Type2+0,2,".","");
			?>
			var donut = new Morris.Donut({
			element: 'donut-chart3',
			resize: true,
			colors: ["#18E688", "#09C06C", "#00a65a"],
			data: [
			{label: '<?php echo $orders_type[1];?>', value: <?php echo $temp0;?>},
			{label: '<?php echo $orders_type[2];?>', value: <?php echo $temp1;?>}
			],
			hideHover: 'auto'
			});
			//end donut chart 3

			//start line chart 1
			<?php
			$varLine1=query_select("
			SELECT 
				DATE_FORMAT(orders.reg_date,'%d.%m.%Y'),
				(SELECT SUM(orderdetails.amount*orderdetails.price)
				FROM orders AS o, orderdetails 
				WHERE o.state=1 AND o.status=4 AND o.order_id=orderdetails.order_id AND YEAR(o.reg_date)='$y' AND MONTH(o.reg_date)='$m' AND DATE_FORMAT(o.reg_date,'%d.%m.%Y')=DATE_FORMAT(orders.reg_date,'%d.%m.%Y') LIMIT 0,1)			
			FROM orders
			WHERE orders.state=1 AND orders.status=4 AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='$m' GROUP BY DATE_FORMAT(orders.reg_date,'%d.%m.%Y') ORDER BY DATE_FORMAT(orders.reg_date,'%d.%m.%Y') ASC");
			$dataLine1="";
			for( $i=0;$i<count($varLine1);$i++ ){
				$a=number_format($varLine1[$i][1]+0,2,".","");
				$dataLine1.="{y:'".$varLine1[$i][0]."', a: $a},";
			}//for
			?>
			var line = new Morris.Line({
			parseTime:false,
			element: 'line-chart1',
			resize: true,
			data: [<?php echo $dataLine1;?>],
			lineColors: ["#90DDF0"],
			xkey: ['y'],
			ykeys: ['a'],
	        labels: ['Сумма заказов'],
			hideHover: 'auto'
			});
			//end line chart 1

			//start line chart 2
			<?php
			$varLine2=query_select("
			SELECT 
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='01'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='02'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='03'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='04'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='05'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='06'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='07'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='08'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='09'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='10'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='11'),
			(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orders, orderdetails WHERE orders.state=1 AND orders.status=4 AND orderdetails.order_id=orders.order_id AND YEAR(orders.reg_date)='$y' AND MONTH(orders.reg_date)='12')
			FROM orders AS o
			WHERE state=1 LIMIT 0,1");

			$temp0=($varLine2[0][0]+0);
			$temp1=($varLine2[0][1]+0);
			$temp2=($varLine2[0][2]+0);
			$temp3=($varLine2[0][3]+0);
			$temp4=($varLine2[0][4]+0);
			$temp5=($varLine2[0][5]+0);
			$temp6=($varLine2[0][6]+0);
			$temp7=($varLine2[0][7]+0);
			$temp8=($varLine2[0][8]+0);
			$temp9=($varLine2[0][9]+0);
			$temp10=($varLine2[0][10]+0);
			$temp11=($varLine2[0][11]+0);
			
			$dataLine2="";
			$dataLine2.="{y: '".$month_names[1]."', a: ".$temp0."},";
			$dataLine2.="{y: '".$month_names[2]."', a: ".$temp1."},";
			$dataLine2.="{y: '".$month_names[3]."', a: ".$temp2."},";
			$dataLine2.="{y: '".$month_names[4]."', a: ".$temp3."},";
			$dataLine2.="{y: '".$month_names[5]."', a: ".$temp4."},";
			$dataLine2.="{y: '".$month_names[6]."', a: ".$temp5."},";
			$dataLine2.="{y: '".$month_names[7]."', a: ".$temp6."},";
			$dataLine2.="{y: '".$month_names[8]."', a: ".$temp7."},";
			$dataLine2.="{y: '".$month_names[9]."', a: ".$temp8."},";
			$dataLine2.="{y: '".$month_names[10]."', a: ".$temp9."},";
			$dataLine2.="{y: '".$month_names[11]."', a: ".$temp10."},";
			$dataLine2.="{y: '".$month_names[12]."', a: ".$temp11."},";
			?>
			var line = new Morris.Line({
			parseTime:false,
			element: 'line-chart2',
			resize: true,
			data: [<?php echo $dataLine2;?>],
			lineColors: ["#E6F46D"],
			xkey: 'y',
			ykeys: ['a'],
	        labels: ['Сумма заказов'],
			hideHover: 'auto'
			});
			//end line chart 2

		});
    </script>
</body>
</html>