<?php
session_start();
include("config/db.php");
?>
<!DOCTYPE html>
<html>
<head>
<?php
include("config/config.php");

$pagename = "users";
$pageid = "user_id";
$pagetitle = $page_names[$pagename];

if( !empty($_SESSION['USER_ID']) && !empty($_SESSION['USER_NAME']) ){
			$select="SELECT * FROM users WHERE user_id='".$_SESSION['USER_ID']."' AND name='".$_SESSION['USER_NAME']."' AND state=1 ";
			$result=mysqli_query($connection, $select);
			if (!$result) {
				die('not users select'.mysqli_error($connection));
			}
			$row=mysqli_fetch_row($result);
			if( mysqli_num_rows($result)>0 && array_key_exists($pagename,$page_names) ){
				echo "";
			}
			else{
				echo "<script language='javascript'>location.href='index.php'</script>";
			}
		}
		else{
			echo "<script language='javascript'>location.href='index.php'</script>";
		}

$edit=0;
if( isset($_GET['edit']) && is_numeric(base64_decode($_GET['edit'])) )
	$edit=htmlspecialchars(base64_decode($_GET['edit']));
?>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php include("config/head.php");?>
<!-- Tell the browser to be responsive to screen width -->
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
<!-- Bootstrap 3.3.5 -->
<link rel="stylesheet" href="js/bootstrap/css/bootstrap.min.css">
<!-- Font Awesome -->
<link rel="stylesheet" href="js/font-awesome/css/font-awesome.min.css">
<!-- Theme style -->
<link rel="stylesheet" href="css/AdminLTE.min.css">
<!-- AdminLTE Skins. Choose a skin from the css/skins
folder instead of downloading all of them to reduce the load. -->
<link rel="stylesheet" href="css/skins/_all-skins.min.css">
<!-- DataTables -->
<link rel="stylesheet" href="js/datatables/dataTables.bootstrap.css">
<!-- Custom -->
<link rel="stylesheet" href="css/custom.min.css">
</head>
<body class="hold-transition skin-blue sidebar-mini">
	<div class="wrapper">
		<?php 
		include('config/banner.php');
		menu('settings');
		?>
		<div class="content-wrapper">
			<section class="content-header">
				<h1><i class="<?php echo $menu_cats[$pagename];?>"></i> &nbsp; <?php echo $pagetitle;?></h1>
				<ol class="breadcrumb">
					<li><a href="home.php"><i class="<?php echo $menu_cats['home'];?>"></i> <?php echo $page_names['home']?></a></li>
					<li class="active"><i class="<?php echo $menu_cats[$pagename];?>"></i> <?php echo $page_names[$pagename]?></li>
				</ol>
			</section><!-- /content-header -->
			<section class="content">
				<?php
				if( $edit==0 ){
				?>
				<div class="row">
					<div class="col-xs-12">
						<?php
						if( isset($_POST['insert']) && is_numeric(base64_decode($_POST['insert'])) && !empty($_POST['password']) && !empty($_POST['password2']) && $_POST['password']==$_POST['password2'] ){
							$reg_user="#".$_SESSION['USER_ID']." ".$_SESSION['USER_NAME']." ".$_SERVER['REMOTE_ADDR'];
							$reg_date=date('Y-m-d H:i:s');

							$insert="INSERT INTO $pagename(name, login, password, reg_user, reg_date, state) VALUES('".$_POST['name']."', '".$_POST['login']."', '".admin_hash($_POST['password'])."', '$reg_user', '$reg_date', '1')";
							$rec=mysqli_query($connection, $insert);
							if (!$rec) {
								die('not insert users'.mysqli_error($connection));
							}
							
							if( $rec && $_FILES['picture']['size']>0 ){
								//start insert image
								$select="SELECT max($pageid) FROM $pagename";
								$result=mysqli_query($connection, $select);
								$row=mysqli_fetch_row($result);
								$id = $row[0];
				
								$path_info=pathinfo($_FILES['picture']['name']);
								$fileext=$path_info['extension'];
								$photo="$id.$fileext";
								
								image_resize("small","img/$pagename/thumbnail/$photo");
								image_resize("large","img/$pagename/$photo");
								
								//end insert image
							}//if size
							
						}//if insert
						else if(isset($_POST['update']) && is_numeric(base64_decode($_POST['update'])) ){
							$id=htmlspecialchars(trim(base64_decode($_POST['update'])));
							$upd_user="#".$_SESSION['USER_ID']." ".$_SESSION['USER_NAME']." ".$_SERVER['REMOTE_ADDR'];
							
							if( !empty($_POST['password']) && !empty($_POST['password2']) && $_POST['password']==$_POST['password2'] ){
								$update="UPDATE $pagename SET name='".$_POST['name']."', login='".$_POST['login']."', password='".admin_hash($_POST['password'])."', upd_user='".$upd_user."' WHERE $pageid='".$id."''";
							}//if password
							else{
								$update="UPDATE $pagename SET name='".$_POST['name']."', login='".$_POST['login']."', upd_user='".$upd_user."' WHERE $pageid='".$id."' ";
							}//else
							$rec=mysqli_query($connection, $update);
							if (!$rec) {
								die('not update users'.mysqli_error($connection));
							}
			
							if( $rec && $_FILES['picture']['size']>0 ){
								//start insert image
								$path_info=pathinfo($_FILES['picture']['name']);
								$fileext=$path_info['extension'];
								$photo="$id.$fileext";
				
								image_resize("small","img/$pagename/thumbnail/$photo");
								image_resize("large","img/$pagename/$photo");
						
								//end insert image
							}//if size
							
						}//else if update

						if( isset($_GET['delete']) && is_numeric(base64_decode($_GET['delete'])) ){
							$id=htmlspecialchars(trim(base64_decode($_GET['delete'])));
							$update="DELETE FROM $pagename WHERE $pageid='".$id."' ";
							$rec=mysqli_query($connection, $update);
							if (!$rec) {
								die('not delete users'.mysqli_error($rec));
							}

							if( $rec ){
								$url="img/$pagename/thumbnail/$id";
								if( file_exists("$url.jpg") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.jpg") ){
									unlink("img/$pagename/thumbnail/$id.jpg");
									unlink("img/$pagename/$id.jpg");
								}//if
								else if( file_exists("$url.JPG") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.JPG") ){
									unlink("img/$pagename/thumbnail/$id.JPG");
									unlink("img/$pagename/$id.JPG");
								}//if
								else if( file_exists("$url.png") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.png") ){
									unlink("img/$pagename/thumbnail/$id.png");
									unlink("img/$pagename/$id.png");
								}//if
								else if( file_exists("$url.PNG") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.PNG") ){
									unlink("img/$pagename/thumbnail/$id.png");
									unlink("img/$pagename/$id.png");
								}//if
								else if( file_exists("$url.gif") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.gif") ){
									unlink("img/$pagename/thumbnail/$id.gif");
									unlink("img/$pagename/$id.gif");
								}//if
								else if( file_exists("$url.GIF") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.GIF") ){
									unlink("img/$pagename/thumbnail/$id.GIF");
									chunlink("img/$pagename/$id.GIF");
								}//if
							}//if rec
						}//if delete
						?>
						<div class="box">
							<div class="box-header with-border">
								<h4 class="box-title">
									<a class="btn btn-primary btn-lg" data-toggle="modal" data-target="#insertModal"><i class="fa fa-plus-circle"></i> Добавить</a>
								</h4>
								<div id="insertModal" class="modal fade modal-default" role="dialog" tabindex="-1" aria-labelledby="basicModal" aria-hidden="true">
									<div class="modal-dialog modal-lg">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal"><i class="fa fa-close"></i></button>
												<h4 class="modal-title"><i class="fa fa-plus-circle"></i> Добавить</h4>
											</div><!-- /.modal-header -->
											<div class="modal-body">
												<form action="<?php echo $pagename;?>.php" method="post" enctype="multipart/form-data" role="form">
													<div class="box-body">
														<div class="row">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="name">Имя</label>
																	<?php text_field("name","name","class='form-control' placeholder='Имя'","");?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="login">Логин</label>
																	<?php text_field("login","login","class='form-control' placeholder='Логин'","");?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="password">Пароль</label>
																	<?php password_field("password","password","class='form-control' placeholder='Пароль'","");?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="password2">Подтвердить пароль</label>
																	<?php password_field("password2","password2","class='form-control' placeholder='Подтвердить пароль'","");?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label for="picture">Рисунок</label>
																	<?php file_field("picture","picture","class='form-control'","");?>
																</div><!-- /.form-group -->
															</div><!-- /.col -->
														</div><!-- /.row -->
													</div><!-- /.box-body -->
													<div class="box-footer">
														<?php
														hidden_field("insert","insert","","",base64_encode("1"));
														?>
														<button type="submit" class="btn btn-primary btn-lg"><i class="fa fa-save"></i> Сохранить</button>
													</div>
												</form>
											</div><!-- /.modal-body -->
										</div><!-- /.modal-content -->
									</div><!-- /.modal-dialog -->
								</div><!-- /.modal -->
							</div><!-- /.box-header -->
							<div class="box-body">
								<table class="dataTable table table-bordered table-hover table-responsive table-striped">
									<thead>
										<tr class="bg-info">
											<th width="5%"></th>
											<th width="20%">Имя</th>
											<th width="20%">Логин</th>
											<th width="10%">Редактировать</th>
										</tr>
									</thead>
									<tbody>
										<?php
										$var=query_select("SELECT $pageid, name, login FROM $pagename WHERE 1=1");
										for( $i=0;$i<count($var);$i++ ){
											echo "<tr>";
												echo "<td align='center'>".check_image("img/$pagename/thumbnail/".$var[$i][0],"class='' style='max-width:60px; max-height:50px'")."</td>";
												echo "<td>".$var[$i][1]."</td>";
												echo "<td>".$var[$i][2]."</td>";
												echo "<td align='center'>";
													echo "<a href='$pagename.php?edit=".base64_encode($var[$i][0])."' class='btn btn-primary btn-sm'><span class='glyphicon glyphicon-edit' aria-hidden='true'></span> <span class='hidden-xs'>Ред.</span></a>";
												echo "</td>";
											echo "</tr>";
										}//for
										?>
									</tbody>
								</table>
							</div><!-- /.box-body -->
						</div><!-- /.box -->
					</div><!-- /.col -->
				</div><!-- /.row -->			
				<?php
				}//if edit 0
				else if( $edit>0 ){
				?>
				<div class="row">
					<div class="col-xs-12">
						<div class="box no-border">
							<div class="box-header">
								<a href="<?php echo $pagename;?>.php" class="btn btn-info btn-lg"><i class="glyphicon glyphicon-chevron-left"></i> Назад</a>
							</div><!-- /.box-header -->
						</div><!-- /.box -->
						<div class="box">
							<div class="box-body">
								<?php
								$var=query_select_assoc("SELECT * FROM $pagename WHERE $pageid=$edit");
								?>
								<form action="<?php echo $pagename;?>.php" method="post" enctype="multipart/form-data" role="form">
									<div class="box-body">
										<div class="row">
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label for="name">Имя</label>
													<?php text_field("name","name","class='form-control' placeholder='Имя'","",$var[0]['name']);?>
												</div><!-- /.form-group -->
											</div><!-- /.col -->
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label for="login">Логин</label>
													<?php text_field("login","login","class='form-control' placeholder='Логин'","",$var[0]['login']);?>
												</div><!-- /.form-group -->
											</div><!-- /.col -->
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label for="password">Новый пароль</label>
													<?php password_field("password","password","class='form-control' placeholder='Новый пароль'","");?>
												</div><!-- /.form-group -->
											</div><!-- /.col -->
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label for="password2">Подтвердить пароль</label>
													<?php password_field("password2","password2","class='form-control' placeholder='Подтвердить пароль'","");?>
												</div><!-- /.form-group -->
											</div><!-- /.col -->
											<div class="col-xs-12 col-sm-6">
												<div class="form-group">
													<label for="picture">Рисунок</label>
													<?php file_field("picture","picture","class='form-control'","");?>
												</div><!-- /.form-group -->
											</div><!-- /.col -->
										</div><!-- /.row -->
									</div><!-- /.box-body -->
									<div class="box-footer">
										<?php
										hidden_field("update","update","","",base64_encode($edit));
										?>
										<button type="submit" class="btn btn-primary btn-lg"><i class="fa fa-save"></i> Сохранить</button>
										<div class="pull-right"><a href="<?php echo "$pagename.php?delete=".base64_encode($edit);?>" class="btn btn-danger btn-lg" onClick="return confirm('Удалить?')"><i class="fa fa-trash"></i></a></div>
									</div>
								</form>
							</div><!-- /.box-body -->
						</div><!-- box -->
					</div><!-- /.col -->
				</div><!-- /.row -->			
				<?php
				}//else if edit>0
				?>
			</section><!-- /content -->
		</div><!-- /content-wrapper -->
		<?php include('config/footer.php');?>
	</div><!-- ./wrapper -->
	<!-- jQuery 2.1.4 -->
	<script src="js/jQuery/jQuery-2.1.4.min.js"></script>
	<!-- Bootstrap 3.3.5 -->
	<script src="js/bootstrap/js/bootstrap.min.js"></script>
	<!-- SlimScroll -->
	<script src="js/slimScroll/jquery.slimscroll.min.js"></script>
	<!-- FastClick -->
	<script src="js/fastclick/fastclick.min.js"></script>
	<!-- AdminLTE App -->
	<script src="js/app.min.js"></script>
	<!-- AdminLTE for demo purposes -->
	<script src="js/demo.js"></script>
    <!-- DataTables -->
    <script src="js/datatables/jquery.dataTables.min.js"></script>
    <script src="js/datatables/dataTables.bootstrap.min.js"></script>
    <!-- page script -->
    <script>
		$(function () {
			$(".dataTable").dataTable();
			$('.dataTable').wrap('<div class="dataTables_scroll" />');
		});
    </script>
</body>
</html>