<?php
session_start();
include("config/db.php");

?>

<!doctype html>

<html class="no-js" lang="zxx">

<?php

include("config/config.php");


$pagename = "orders";

$pageid = "";

$pagetitle = $words[$pagename];

?>

<head>

    <meta charset="utf-8">

    <meta name="description" content="">

    <meta name="keywords" content="">

    <meta http-equiv="x-ua-compatible" content="ie=edge">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Title -->

    <title><?php echo $pagetitle; ?></title>

    <!-- Place favicon.ico in the root directory -->

    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">

    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico"/>

    <!-- Plugin-CSS -->

    <link rel="stylesheet" href="css/bootstrap.min.css">

    <link rel="stylesheet" href="css/owl.carousel.min.css">

    <link rel="stylesheet" href="css/linearicons.css">

    <link rel="stylesheet" href="css/magnific-popup.css">

    <link rel="stylesheet" href="css/animate.css">

    <!-- Main-Stylesheets -->

    <link rel="stylesheet" href="css/normalize.css">

    <link rel="stylesheet" href="style.css">

    <link rel="stylesheet" href="css/responsive.css">



    <script src="js/vendor/modernizr-2.8.3.min.js"></script>

    <!--[if lt IE 9]>

    <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>

    <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>

    <![endif]-->

</head>


<body data-spy="scroll" data-target=".mainmenu-area">

<!-- Preloader-content -->

<div class="preloader">

    <span><img src="images/gif.gif"></span>

</div>


<?php

include("config/banner.php");

?>


<div class="section-padding container" style="margin-top: 2%;">

    <div id="table1" class="row" id="basket-order">
    </div>

    <div class="section-padding">

        <div class="container">

            <h3 align="left"><?php echo $words['moreproducts']; ?></h3>

            <div class="row">

                <?php

                $varProducts = query_select_assoc("SELECT 

											products.product_id, 

											products.name_" . $_SESSION['LANG'] . " AS name, 

											products.note_" . $_SESSION['LANG'] . " AS note, 

											products.price,

											(SELECT orderdetails.amount FROM orders, orderdetails WHERE orders.state=1 AND orders.status=1 AND orders.order_id=orderdetails.order_id AND orders.order_id='" . @$_SESSION['ORDER'] . "' AND orderdetails.product_id=products.product_id LIMIT 0,1 ) AS amount

											FROM products

											WHERE products.state=1

											ORDER BY products.order_no ASC");

                if ($varProducts > 0) {

                    for ($i = 0; $i < count($varProducts); $i++) {

                        ?>

                        <div align="center" class="col-xs-12 col-sm-12 col-md-4">

                            <article class="post-single">

                                <figure class="post-media">

                                    <?php

                                    $image = check_imageexist("img/products/" . $varProducts[$i]['product_id']);

                                    if ($image != "")

                                        echo "<img src='$image' width='30'>";

                                    ?>

                                </figure>

                                <div class="post-body">

                                    <div align="center" class="post-meta">

                                        <h4 class="prdctname"><?php echo $varProducts[$i]['name']; ?></h4>
                                        <h6 class="prdctname"><font color="#BD1E2D"><?php echo $words['baha']; ?>: <?php echo $varProducts[$i]['price'];?> <?php echo $words['tmt'];  ?></font></h6>
                                        <div class="qty mt-5">

                                            <span class="minus minus_button bg-dark"
                                                  data-product="<?php echo $varProducts[$i]['product_id']; ?>">-</span>

                                           <?php 
                                            $array = array();
                                            $basket_amount = 0;
                                            /*include 'includes/session.php';*/
                                            $number = $_SESSION['number'];
                                            for ($y=0; $y < $number; $y++) { 
                                                $order = 'order'.$y;
                                                if (!empty($_SESSION[$order])) {
                                                    $array = $_SESSION[$order];
                                                    if ($varProducts[$i]['product_id'] == $array[0]) {
                                                       $basket_amount = $array[1];
                                                    }
                                                }
                                            }
                                                                                        
                                            if ($basket_amount > 0) {

                                                ?>

                                                <input type="number" class="count"
                                                       id="amount_<?php echo $varProducts[$i]['product_id']; ?>"
                                                       name="amount" min="1"
                                                       value="<?php echo $basket_amount; ?>">

                                                <?php

                                            }//if

                                            else {

                                                ?>

                                                <input type="number" class="count"
                                                       id="amount_<?php echo $varProducts[$i]['product_id']; ?>"
                                                       data-product="<?php echo base64_encode($varProducts[$i]['product_id']); ?>"
                                                       name="amount" min="1" value="1">

                                                <?php

                                            }

                                            ?>

                                            <span class="plus plus_button bg-dark"
                                                  data-product="<?php echo $varProducts[$i]['product_id']; ?>">+</span>

                                        </div>

                                    </div>

                                   <!--  <a href="#" data-product="<?php echo $varProducts[$i]['product_id']; ?>"
                                       data-product2="<?php echo base64_encode($varProducts[$i]['product_id']); ?>"
                                       class="read-more buy_button"><?php echo $words['buy']; ?></a> -->
                                       <button onclick="add_cart('<?php echo $varProducts[$i]['product_id'];?>')" class="btn read-more buy_button"><?php echo $words['buy']?></button>

                                </div>

                            </article>

                        </div>

                        <?php

                    }//for

                }//if varProducts>0

                ?>

            </div>

        </div>

    </div>

</div>


<?php

include("config/footer.php");

?>


<!-- Modal Warning -->

<div align="center" id="warningModal" class="modal">

    <div class="modal-content" style="width: 30%; border-radius: 10px;">

        <span onclick="close_modal()" class="close">&times;</span>

        <div class="container-fluid">

            <div class="row">

                <div class="col-md-12" style="margin-top: 0%; padding-bottom: 5%;">

                    <img src="images/success.svg" width="20%">

                    <p><?php echo $words['order_ruletext']; ?></p>

                </div>

            </div>

        </div>

    </div>

</div>
<!-- The Modal -->
<div class="modal" id="myModal" style="padding-top: 25px;">
  <div class="modal-dialog">
    <div class="modal-content" style="width: 80%; padding-top: 1%">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title"><?php echo $words['sebet']; ?></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
       <?php echo $words['sebet_aras']; ?>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" onclick="delete_cart()" class="btn btn-primary" data-dismiss="modal"><?php echo $words['yes'] ?></button>
        <button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo $words['no'] ?></button>
      </div>

    </div>
  </div>
</div>
<!-- The Modal -->
<div class="modal" id="myModal1" style="padding-top: 25px;">
  <div class="modal-dialog">
    <div class="modal-content" style="width: 80%; padding-top: 1%">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title"><?php echo $words['onum_poz'] ?></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
       <?php echo $words['tassyk_onum'] ?>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" onclick="delete_product()" class="btn btn-primary" data-dismiss="modal"><?php echo $words['yes'] ?></button>
        <button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo $words['no'] ?></button>
      </div>

    </div>
  </div>
</div>

<script src="js/vendor/jquery-1.12.4.min.js"></script>
<script src="js/vendor/jquery-ui.js"></script>
<script src="js/vendor/bootstrap.min.js"></script>
<!--Plugin-JS-->
<script src="js/owl.carousel.min.js"></script>
<script src="js/contact-form.js"></script>
<script src="js/ajaxchimp.js"></script>
<script src="js/scrollUp.min.js"></script>
<script src="js/magnific-popup.min.js"></script>
<script src="js/wow.min.js"></script>

<!--Main-active-JS-->

<script src="js/main.js"></script>
<script src="js/script.js"></script>s

<script>

    function openNav() {

        document.getElementById("mySidenav").style.width = "250px";

    }


    function closeNav() {

        document.getElementById("mySidenav").style.width = "0";

    }

</script>


</body>

</html>