<?php
session_start();
include("config/db.php");
?>
<!doctype html>
<html class="no-js" lang="zxx">
<?php
include("config/config.php");

$pagename = "signup";
$pageid = "";
$pagetitle = $words[$pagename];
?>
<head>
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Title -->
	<title><?php echo $pagetitle;?></title>
    <!-- Place favicon.ico in the root directory -->
    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">
    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
    <link rel="icon" type="image/png" sizes="32x32" href="images/favicon.png">
    <!-- Plugin-CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/linearicons.css">
    <link rel="stylesheet" href="css/magnific-popup.css">
    <link rel="stylesheet" href="css/animate.css">
    <!-- Main-Stylesheets -->
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">
    <script src="js/vendor/modernizr-2.8.3.min.js"></script>
    <!--[if lt IE 9]>
        <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target=".mainmenu-area">
    <!-- Preloader-content -->
    <div class="preloader">
        <span><img src="images/gif.gif"></span>
    </div>

	<?php
	include("config/banner.php");
	?>

	<div align="center" class="container" style="margin-top: 10%">
		<div class="row">
			<div class="col-md-12">
				<p class="signUptext"><?php echo $words['signup'];?></p>
				<hr class="hrsignup">
				<form action="<?php echo $pagename;?>.php" method="post">
					<input class="modalInputSignUp" type="email" name="email" placeholder="E-mail:">
					<input class="modalInputSignUp" type="numbers" name="phone" placeholder="<?php echo $words['phone'];?>">
					<input class="modalInputSignUp" type="address" name="address" placeholder="<?php echo $words['address'];?>">
					<br>
					<button class="modalBtnSignUp"><?php echo $words['signup'];?></button>   
				</form>
			</div>
		</div>
	</div>

	<?php
	include("config/footer.php");
	?>
    
    <!-- Footer-Area-End -->
    <!--Vendor-JS-->

    <script src="js/vendor/jquery-1.12.4.min.js"></script>
    <script src="js/vendor/jquery-ui.js"></script>
    <script src="js/vendor/bootstrap.min.js"></script>
    <!--Plugin-JS-->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/contact-form.js"></script>
    <script src="js/ajaxchimp.js"></script>
    <script src="js/scrollUp.min.js"></script>
    <script src="js/magnific-popup.min.js"></script>
    <script src="js/wow.min.js"></script>
    <!--Main-active-JS-->
    <script src="js/main.js"></script>
    <script src="js/script.js"></script>
	<script>
		function openNav() {
		  document.getElementById("mySidenav").style.width = "250px";
		}
	
		function closeNav() {
		  document.getElementById("mySidenav").style.width = "0";
		}
	</script>
	<!-- /SideNav -->
	
	<!-- LogIn -->
	<script>
		// Get the modal
		var modal = document.getElementById("myModal");
		
		// Get the button that opens the modal
		var btn = document.getElementById("signUp");
		
		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];
		
		// When the user clicks the button, open the modal 
		btn.onclick = function() {
		  modal.style.display = "block";
		}
		
		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		  modal.style.display = "none";
		}
		
		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		  if (event.target == modal) {
			modal.style.display = "none";
		  }
		}
	</script>
	<!-- /LogIn -->
</body>
</html>