<?php
session_start();
include("config/db.php");
?>
<!doctype html>
<html class="no-js" lang="zxx">
<?php
include("config/config.php");

$pagename = "about";
$pageid = "";
$pagetitle = $page_names[$pagename];
?>
<head>
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Title -->
	<title><?php echo $pagetitle;?></title>
    <!-- Place favicon.ico in the root directory -->
    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">
    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
    <link rel="icon" type="image/png" sizes="32x32" href="images/favicon.png">
    <!-- Plugin-CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/linearicons.css">
    <link rel="stylesheet" href="css/magnific-popup.css">
    <link rel="stylesheet" href="css/animate.css">
    <!-- Main-Stylesheets -->
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">
    <script src="js/vendor/modernizr-2.8.3.min.js"></script>
    <!--[if lt IE 9]>
        <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target=".mainmenu-area">
    <!-- Preloader-content -->
    <div class="preloader">
        <span><img src="images/gif.gif"></span>
    </div>
	
	<?php
	include("config/banner.php");
	?>

	<div class="container-fluid" style="margin-top: 10%;">
		<div class="row">
			<div align="right" class="col-md-6 col-xs-6">
				<img src="images/7gunlogo.png" width="40%">
			</div>
			<div class="col-md-6 col-xs-6">
				<img src="images/ichaylogo.png" width="40%">
			</div>
			<?php
			if( $_SESSION['LANG']=="tm" ){
			?>
				<div align="center" class="col-xs-12 col-md-12">
					<p class="slogan">"7 Gün" tebigy içgileriň önümi</p>
				</div>
				<div align="center" class="col-md-12 col-xs-12 red">
					<p class="slogan"><font color="#fff"><?php echo $pagetitle;?></font></p>
					<p class="fulltext">
						“Ak Ýaprak” H.J tebigy hoşboý ysly şireleri öndürýän hususy kärhanadyr. Biz size amatly bahadan, ýokary hilli “7 gün” tebigy hoşboý ysly şireleriň dürli görnüşlerini we “Içäý” sowuk çaýlaryny hödürleýäris. Mundan başga-da, biziň kompaniýamyz “Laktalis” süýt önümleriniň we “President” mesge ýaglarynyň Türkmenistandaky ýeke-täk dileri bolup çykyş edýär.<br><br>
						“Ak Ýaprak” hojalyk jemgyýeti 2010-njy ýylyň 24-nji oktýabrynda esaslandyryldy. Kompaniýanyň Baş direktory Merdan Mämmetsähedow, baş direktoryň orunbasary Döwlet Artykow.<br><br>
						2014-nji ýylyň 12-nji noýabrynda Baharly etrabynyň golaýyndaky Sünçe obasynda “7 gün” tebigy hoşboý ysly şireleri öndürýän zawodyň açylmagy“Ak Ýaprak” hojalyk jemgyýetiniň ösüşinda taryhy etap boldy.<br><br>
						Indi birnäçe ýyl bäri üstünlikli iş alyp barýan bu kompaniýanyň öndürýän önümleri Türkmenistanyň dürli künjeklerinde uly isleg bildirilýän harytlara öwrüldi.<br><br>
						Telekeçilikde ýokary netijeler gazanan “Ak Ýaprak” H.J. daşary ýurduň iri kompaniýalary— Marine Trade FZE, Lether Group Lp, Tetra Pak, Lactalis, Dohler bilen hyzmatdaşlyk saklap, baý tejribe toplaýarlar..<br><br>
						Häzirki wagtda Hojalyk jemgyýetinde 88 adam zähmet çekip, onuň dolanyşygynda:<br>
						•	Aşgabat şäheriniň golaýyndaky ammarlar;<br>
						•	Aşgabatdan 100 km uzaklykda ýerleşýän tutýan meýdany 5gektar şire öndürýän zawod;<br>
						•	TetraPak şire we alkogolsyz içgileri öndürýän önümçilik ugry;<br>
						•	Suwy arassalaýan we filtrleýän ulgam;<br>
						•	Elektrik energiýasy bilen özbaşdak üpjün ediji ulgam;<br>
						•	Ýük ulaglarynyň (Mitshubishi, Nissan, MAH-15 sany) awtoduralga;<br>
						•	Ýükleýji we daşaýjy ulaglar;<br>
						•	Sowadyjy ammarlar we enjamlar bar.
					</p>
				</div>
			<?php
			}//if lang tm
			else if( $_SESSION['LANG']=="ru" ){
			?>
				<div align="center" class="col-xs-12 col-md-12">
					<p class="slogan">Производство натурального сока "7 Gün"</p>
				</div>
				<div align="center" class="col-md-12 col-xs-12 red">
					<p class="slogan"><font color="#fff"><?php echo $pagetitle;?></font></p>
					<p class="fulltext">
						ХО “Ак Япрак”, является частным предприятием по производству натуральных ароматизированных соков. Мы рады предложить Вам по лучшим ценам широкий ассортимент высококачественных натуральных соков “7 Gun” и холодных чаев “Içäý”. Кроме того, наша компания является единственным дилером в Туркменистане по молочной продукции “Lactalis” и масла “President”.<br><br>
						Хозяйственное общество «Ак Япрак» было основано 24 октября 2010 года. Генеральный директор компании Мердан Мамметсахедов, заместитель генерального директора Довлет Артыков.<br><br>
						Завод по производству фруктовых и овощных соков «7 Gun», расположенный недалеко от села Сунча Бахарлинского района, введенный в эксплуатацию 12 ноября 2014 года, стал важным этапом в развитии Хозяйственного Общества «Ак Япрак».<br><br>
						За годы успешной работы, продукция этой компании стала пользоваться большим спросом во всех уголках Туркменистана.<br><br>
						ХО “Ак Япрак”, плодотворно сотрудничая с иностранными крупными компаниями такими как, MarineTrade FZE, LetherGroup LP, TetraPak, Lactalis, Dohler набирает богатый опыт.<br><br>
						В настоящее время в Хозяйственном Обществе работают около 90 человек и в его управлении находятся:<br>
						•	Склады в пригороде Ашхабада;<br>
						•	в 100 км от Ашхабада завод по производству сока, площадью 5 га;<br>
						•	Линия по производству соков и безалкогольных напитков TetraPak;<br>
						•	Система фильтрации и очистки воды;<br>
						•	Система автономного электроснабжения объектов;<br>
						•	Автостоянка для грузовых автомобилей (Mitshubishi, Nissan, MAH-15 шт.);<br>
						•	Погрузочно-разгрузочные средства;<br>
						•	Холодильные склады и оборудование.<br>
					</p>
				</div>
			<?php
			}//else if lang ru
			else if( $_SESSION['LANG']=="en" ){
			?>
				<div align="center" class="col-xs-12 col-md-12">
					<p class="slogan">Production of "7 Gün" Natural Juice</p>
				</div>
				<div align="center" class="col-md-12 col-xs-12 red">
					<p class="slogan"><font color="#fff"><?php echo $pagetitle;?></font></p>
					<p class="fulltext">
						“Ak Yaprak” ES is a private enterprise producing natural flavored juices. We are pleased to offer you a wide range of high-quality natural “7 Gün” juices and “Içäý” cold teas with convenient prices. In addition, our company is the only dealer of “Lactalis” dairy products and “President” butter in Turkmenistan.<br><br>
						“Ak Yaprak” Economic Society was established on October 24, 2010. General Director of the company is Merdan Mammetsahedov, Deputy General Director is Dovlet Artykov.<br><br>
						The establishment of “7 Gün” fruit and vegetable juice plant, located near the village of Suncha in the Baharly district on November 12, 2014, became an important stage in the development of the “Ak Yaprak” Economic Society.<br><br>
						Over the several years of successful work, the products of this company have become in great demand in all areas of Turkmenistan.<br><br>
						Having high results in entrepreneurship “Ak Yaprak” ES is fruitfully cooperating with foreign large companies such as Marine Trade FZE, Lether Group Lp, Tetra Pak, Lactalis, Dohler, and gaining rich experience.<br><br>
						Currently, about 90 people work in the Economic Society and its management includes:<br>
						• Warehouses in the suburbs of Ashgabat;<br>
						• Juice plant with an area of 5 hectares that is located 100 km far from Ashgabat;<br>
						• Production field producing Tetra Pak Juice and Soft Drinks (nonalcoholic drinks);<br>
						• Filtration and water purification system;<br>
						• Independent power supply system;<br>
						• Parking for trucks (Mitsubishi, Nissan, MAH-15 pcs.);<br>
						• Loading and transporting equipment;<br>
						• Refrigerated warehouses and equipment.<br>
					</p>
				</div>
			<?php
			}//else if lang en
			?>
		</div>
	</div>

	<div class="container" style="margin-top: 3%;">
		<div class="row">
			<h3 align="center" style="margin-bottom: 2%;"><?php echo $words['certificate'];?></h3>
			<div class="col-md-4 col-sm-6 col-xs-6">
				<img src="images/iso/1.jpg" height="10%">
			</div>

			<div class="col-md-4 col-sm-6 col-xs-6">
				<img src="images/iso/2.jpg" height="10%">
			</div>

			<div class="col-md-4 col-sm-6 col-xs-6">
				<img src="images/iso/3.jpg" height="10%">
			</div>
		</div>
	</div>

	<div class="container" style="margin-top: 3%;">
		<div class="row">
			<div class="col-md-4 col-sm-6 col-xs-6">
				<img src="images/iso/4.jpg" height="10%">
			</div>

			<div class="col-md-4 col-sm-6 col-xs-6">
				<img src="images/iso/5.jpg" height="10%">
			</div>

			<div class="col-md-4 col-sm-6 col-xs-6">
				<img src="images/iso/6.jpg" height="10%">
			</div>
		</div>
	</div>
    <!-- Contact-Area -->
    <section id="contact_page">
        <div class="container">
            <div class="row">
                <h2><?php echo $page_names['contacts'];?></h2>
                <div align="center" class="col-md-6 col-xs-12">
                    <form action="<?php echo $pagename;?>.php" method="post">
                        <input class="contactinput" type="text" name="mail_name" placeholder="<?php echo $words['mail_name'];?>">
                        <input class="contactinput" type="tel" name="mail_phone" placeholder="<?php echo $words['mail_phone'];?>">
                        <input class="contactinput" type="email" name="mail_email" placeholder="E-mail">
                        <textarea class="contactinput" name="mail_text" placeholder="<?php echo $words['mail_text'];?>"></textarea>
                        <button class="btnSend" name="mail_send"><?php echo $words['mail_send'];?></button>
                    </form>
                </div>
                <div class="col-md-6 col-xs-12">
                    <a target="_blank" href="https://www.google.nl/maps/place/10+%C3%BDyl+Abadan%C3%A7ylyk+%C5%9Fa%C3%BDoly+159,+A%C5%9Fgabat,+%D0%A2%D1%83%D1%80%D0%BA%D0%BC%D0%B5%D0%BD%D0%B8%D1%81%D1%82%D0%B0%D0%BD/@37.895652,58.3735814,16.73z/data=!4m5!3m4!1s0x3f6ffd7fb7d97c61:0x38dae195c9dca1eb!8m2!3d37.8955758!4d58.3741293"><img src="images/map.jpg" width="auto" style="margin-top: 5%;"></a>
                </div>
            </div>
        </div>
    </section>
    <!-- Contact-Area-End -->
	<?php
	include("config/footer.php");
	?>

    <!--Vendor-JS-->
    
    <script src="js/vendor/jquery-1.12.4.min.js"></script>
    <script src="js/vendor/jquery-ui.js"></script>
    <script src="js/vendor/bootstrap.min.js"></script>
    <!--Plugin-JS-->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/contact-form.js"></script>
    <script src="js/ajaxchimp.js"></script>
    <script src="js/scrollUp.min.js"></script>
    <script src="js/magnific-popup.min.js"></script>
    <script src="js/wow.min.js"></script>
    <!--Main-active-JS-->
    <script src="js/main.js"></script>
    <script src="js/script.js"></script>
	<script>
		function openNav() {
		  document.getElementById("mySidenav").style.width = "250px";
		}
	
		function closeNav() {
		  document.getElementById("mySidenav").style.width = "0";
		}
	</script>
	<!-- /SideNav -->

	<!-- LogIn -->
	<script>
		// Get the modal
		var modal = document.getElementById("myModal");
		
		// Get the button that opens the modal
		var btn = document.getElementById("signUp");
		
		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];
		
		// When the user clicks the button, open the modal 
		btn.onclick = function() {
		  modal.style.display = "block";
		}
		
		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		  modal.style.display = "none";
		}
		
		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		  if (event.target == modal) {
			modal.style.display = "none";
		  }
		}
	</script>
	<!-- /LogIn -->
</body>
</html>