<?php

// start company name
global $company_name;
	$company_name="Админ";
// start company name

//----------------------------------------------------------

// start menu cats
global $menu_cats;
	$menu_cats=array(
			'home'=>'fa fa-home',
			'reports'=>'fa fa-tachometer',
			'orders'=>'fa fa-shopping-cart',
			'products'=>'fa fa-cube',
			'signedusers'=>'fa fa-users',
			'settings'=>'fa fa-cog',
			'users'=>'fa fa-lock'
			);
// end menu cats

//----------------------------------------------------------

// start page names
global $page_names;
	$page_names=array(
			'home'=>'Главная страница',
			'reports'=>'Отчёты',
			'orders'=>'Заказы',
			'orders_print'=>'Заказы',
			'products'=>'Продукты',
			'signedusers'=>'Заказчики',
			'settings'=>'Настройки',
			'users'=>'Пользователи'
			);
			
// end page names

//----------------------------------------------------------

// start orders type
global $orders_type;
	$orders_type=array(
			'1'=>'Налич.',
			'2'=>'Терминал'
			);
			
// end orders type

//----------------------------------------------------------

// start orders status
global $orders_status;
	$orders_status=array(
			'1'=>'Новый заказ',
			'2'=>'Заказ принят',
			'3'=>'Заказ в пути',
			'4'=>'Заказ доставлен'
			);
			
// end orders status

//----------------------------------------------------------

// start state names
global $state_names;
	$state_names=array(
			'0'=>'Блокированный',
			'1'=>'Активный'
			);
			
// end state names

//----------------------------------------------------------

// start yes no
global $yes_no;
	$yes_no=array(
			'2'=>'Нет',
			'1'=>'Да'
			);
			
// end yes no

//----------------------------------------------------------

// start year names
global $year_names;
	for( $i=date("Y");$i>=2019;$i-- ){
		$year_names[$i]=$i;
	}//for
// end year names

//----------------------------------------------------------

// start month names
global $month_names;
	$month_names=array(
			'1'=>'Январь',
			'2'=>'Февраль',
			'3'=>'Март',
			'4'=>'Апрель',
			'5'=>'Май',
			'6'=>'Июнь',
			'7'=>'Июль',
			'8'=>'Август',
			'9'=>'Сентябрь',
			'10'=>'Октябрь',
			'11'=>'Ноябрь',
			'12'=>'Декабрь'
			);

// end month names

//----------------------------------------------------------

// start menu

	function menu($active=''){
	global $company_name,$menu_cats,$page_names,$pagename,$year_names,$month_names;
	?>	
		<aside class="main-sidebar">
			<section class="sidebar">
				<div class="user-panel">
					<div class="pull-left image">
						<?php echo check_image("img/users/thumbnail/".$_SESSION['USER_ID'],"class='img-circle'");?>
					</div>
					<div class="pull-left info">
						<p><?php echo $_SESSION['USER_NAME'];?></p>
						<a href="#"><i class="fa fa-circle text-success"></i> в системе</a>
					</div>
				</div><!-- /user-panel -->
				<ul class="sidebar-menu">
					<br>
					<li class="header">СТРАНИЦЫ</li>
					<?php
					foreach( $menu_cats as $key=>$val ){
						$activeUrl="";
						if( $active==$key ){
							$activeUrl="active";					
						}
						if( $key=="reports" ){
							echo "<li class='treeview $activeUrl'>";
							echo "<a href='#'>";
							echo "<i class='$val'></i> <span>$page_names[$key]</span> <i class='fa fa-angle-left pull-right'></i>";
							echo "</a>";
							echo "<ul class='treeview-menu'>";
							$varYear=query_select("SELECT YEAR(reg_date) FROM orders WHERE state=1 GROUP BY YEAR(reg_date) ORDER BY YEAR(reg_date) DESC");
							for( $i=0;$i<count($varYear);$i++ ){
								echo "<li class='treeview'>";
									echo "<a href='#' class='text-yellow'><i class='fa fa-circle-o'></i> <span>".$varYear[$i][0]."</span>  <i class='fa fa-angle-left pull-right'></i></a>";
									echo "<ul class='treeview-menu'>";
										echo "<li><a href='$key.php?y=".base64_encode($varYear[$i][0])."'><i class='fa fa-circle text-yellow'></i> Все</a></li>";
										foreach( $month_names AS $km=>$vm ){
											if( isset($_SESSION['y']) && $_SESSION['y']==$varYear[$i][0] && isset($_SESSION['m']) && $_SESSION['m']==$km )
												echo "<li><a href='$key.php?y=".base64_encode($varYear[$i][0])."&m=".base64_encode($km)."' class='text-yellow'><i class='fa fa-circle text-yellow'></i> $vm</a></li>";
											else
												echo "<li><a href='$key.php?y=".base64_encode($varYear[$i][0])."&m=".base64_encode($km)."'><i class='fa fa-circle text-yellow'></i> $vm</a></li>";
										}//foreach
									echo "</ul>";
								echo "</li>";
							}//for
							echo "</ul>";
							echo "</li>";
						}//if
						else if( $key=="orders" ){
							echo "<li class='treeview $activeUrl'>";
							echo "<a href='#'>";
							echo "<i class='$val'></i> <span>$page_names[$key]</span> <i class='fa fa-angle-left pull-right'></i>";
							echo "</a>";
							echo "<ul class='treeview-menu'>";
							echo "<li><a href='$key.php?all=1' class='text-yellow'><i class='fa fa-circle-o'></i> Все</a></li>";
							$varYear=query_select("SELECT YEAR(reg_date) FROM orders WHERE state=1 GROUP BY YEAR(reg_date) ORDER BY YEAR(reg_date) DESC");
							for( $i=0;$i<count($varYear);$i++ ){
								echo "<li class='treeview'>";
									echo "<a href='#' class='text-yellow'><i class='fa fa-circle-o'></i> <span>".$varYear[$i][0]."</span>  <i class='fa fa-angle-left pull-right'></i></a>";
									echo "<ul class='treeview-menu'>";
										echo "<li><a href='$key.php?y=".base64_encode($varYear[$i][0])."'><i class='fa fa-circle text-yellow'></i> Все</a></li>";
										foreach( $month_names AS $km=>$vm ){
											$month=$km;
											if( $month<10 )
												$month="0".$month;
										
											if( isset($_SESSION['y']) && $_SESSION['y']==$varYear[$i][0] && isset($_SESSION['m']) && $_SESSION['m']==$km )
												echo "<li><a href='$key.php?y=".base64_encode($varYear[$i][0])."&m=".base64_encode($km)."' class='text-yellow'><i class='fa fa-circle text-yellow'></i> $vm</a></li>";
											else
												echo "<li><a href='$key.php?y=".base64_encode($varYear[$i][0])."&m=".base64_encode($km)."'><i class='fa fa-circle text-yellow'></i> $vm</a></li>";
										}//foreach
									echo "</ul>";
								echo "</li>";
							}//for
							echo "</ul>";
							echo "</li>";
						}//else if
						else if( $key=="settings" ){
							echo "<br>";
							echo "<li class='header'>НАСТРОЙКИ</li>";
							echo "<li class='treeview $activeUrl'>";
							echo "<a href='#'>";
							echo "<i class='$val'></i> <span>$page_names[$key]</span> <i class='fa fa-angle-left pull-right'></i>";
							echo "</a>";
							echo "<ul class='treeview-menu'>";
								echo "<li><a href='users.php'><i class='".$menu_cats['users']."'></i> ".$page_names['users']."</a></li>";
							echo "</ul>";
							echo "</li>";
							break;
						}//if
						else{
							echo "<li class='$activeUrl'><a href='$key.php'><i class='$val'></i> <span>$page_names[$key]</span></a></li>";
						}//else
					}//for urlNames
					?>			
				</ul>
			</section>
		</aside>	
	<?php
	}

// end menu

//----------------------------------------------------------

// start check image

	function check_image($url,$extra="",$imagealt="",$width="",$height=""){
		$alt="";
		if( !empty($imagealt) )
		$alt="alt='$imagealt'";
		
		if( file_exists($url.'.jpg') || file_exists($_SERVER['DOCUMENT_ROOT'].'/'.$url.'.jpg') ){
			return "<img src='".$url.".jpg?".date('s')."' $extra $alt>";
		}
		else if( file_exists($url.'.JPG') || file_exists($_SERVER['DOCUMENT_ROOT'].'/'.$url.'.JPG') ){
			return "<img src='".$url.".JPG?".date('s')."' $extra $alt>";
		}
		else if( file_exists($url.'.png') || file_exists($_SERVER['DOCUMENT_ROOT'].'/'.$url.'.png') ){
			return "<img src='".$url.".png?".date('s')."' $extra $alt>";
		}
		else if( file_exists($url.'.PNG') || file_exists($_SERVER['DOCUMENT_ROOT'].'/'.$url.'.PNG') ){
			return "<img src='".$url.".PNG?".date('s')."' $extra $alt>";
		}
		else if( file_exists($url.'.gif') || file_exists($_SERVER['DOCUMENT_ROOT'].'/'.$url.'.gif') ){
			return "<img src='".$url.".gif?".date('s')."' $extra $alt>";
		}
		else if( file_exists($url.'.GIF') || file_exists($_SERVER['DOCUMENT_ROOT'].'/'.$url.'.GIF') ){
			return "<img src='".$url.".GIF?".date('s')."' $extra $alt>";
		}
		else{
			return;
		}
	}

//end check image

//----------------------------------------------------------

// start check_imageexist

	function check_imageexist($url){
		if( file_exists("$url.jpg") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.jpg") ){
			return "$url.jpg?".date('s');
		}//if
		else if( file_exists("$url.JPG") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.JPG") ){
			return "$url.JPG?".date('s');
		}//else if
		else if( file_exists("$url.png") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.png") ){
			return "$url.png?".date('s');
		}//else if
		else if( file_exists("$url.PNG") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.PNG") ){
			return "$url.PNG?".date('s');
		}//else if
		else if( file_exists("$url.gif") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.gif") ){
			return "$url.gif?".date('s');
		}//else if
		else if( file_exists("$url.GIF") || file_exists($_SERVER['DOCUMENT_ROOT']."/$url.GIF") ){
			return "$url.GIF?".date('s');
		}//else if
	}//check_imageexist

//end check_imageexist

//----------------------------------------------------------

// start input

	function text_field($id,$name,$extra,$fill="",$value=""){
		$idValue="";
		$fillValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $fill=="1" )
			$fillValue="*";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<input type='text' $idValue name='$name' $extra value='$value'> $fillValue";
	}

	function textarea_field($id,$name,$extra,$fill="",$value=""){
		$idValue="";
		$fillValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $fill=="1" )
			$fillValue="*";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<textarea $idValue name='$name' $extra>$value</textarea> $fillValue";
	}

	function password_field($id,$name,$extra,$fill="",$value=""){
		$idValue="";
		$fillValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $fill=="1" )
			$fillValue="*";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<input type='password' $idValue name='$name' $extra value='$value'> $fillValue";
	}

	function file_field($id,$name,$extra,$fill="",$value=""){
		$idValue="";
		$fillValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $fill=="1" )
			$fillValue="*";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<input type='file' $idValue name='$name' $extra value='$value'> $fillValue";
	}

	function submit_field($id,$name,$extra="",$fill="",$value=""){
		$idValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<input type='submit' $idValue name='$name' $extra value='$value'>";
	}

	function hidden_field($id,$name,$extra="",$fill="",$value=""){
		$idValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<input type='hidden' $idValue name='$name' value='$value'>";
	}

	function select_field($id,$name,$extra,$fill="",$value="",$sql){
		include 'db.php';
		$idValue="";
		$fillValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<select $idValue name='$name' $extra>";
		if( $fill=="" )
		echo "<option value=''></option>";
			$selF="$sql";
			$resF=mysqli_query($connection,$selF);
			if (!$resF) {
				die('not select 381'.mysqli_error($connection));
			}
			while( $rowF=mysqli_fetch_row($resF) ){
				if( $value==$rowF[0] )
					echo "<option selected='selected' value='$rowF[0]'>".stripslashes($rowF[1])."</option>";
				else
					echo "<option value='$rowF[0]'>".stripslashes($rowF[1])."</option>";
			}//while
		echo "</select> $fillValue";
	}

	function selectfor_field($id,$name,$extra,$fill="",$value="",$var){
		$idValue="";
		$fillValue="";
		
		if( $id!="" )
			$idValue="id='$id'";
		if( $value!="" )
			$value=stripslashes($value);
		
		echo "<select $idValue name='$name' $extra>";
		if( $fill=="" )
		echo "<option value=''></option>";
		foreach( $var as $key=>$val ){
			if( $value==$key )
				echo "<option selected='selected' value='$key'>".stripslashes($val)."</option>";
			else
				echo "<option value='$key'>".stripslashes($val)."</option>";
		}//foreach
		echo "</select> $fillValue";
	}

	function datepicker_field($id,$name,$extra,$fill="",$value=""){
		$idValue="";
		$fillValue="";

		if( $id!="" )
			$idValue="id='$id'";
		if( $fill=="1" )
			$fillValue="*";
		if( $value!="" )
			$value=stripslashes(str_date($value));

		echo "<div class='input-group date' $idValue>";
		echo "<input type='text' name='$name' $extra value='$value' />";
		echo "<span class='input-group-addon'>";
		echo "<span class='glyphicon glyphicon-calendar'></span>";
		echo "</span>";
		echo "</div>";
	}

//end input

//----------------------------------------------------------

//----------------------------------------------------------

// start str date

	function str_date($date){
		$tmp_date="";
		if( $date!="" && $date!="0000-00-00" ){
			$seperate=explode(" ",$date);
			$tmp=explode("-",$seperate[0]);
			$tmp_date=$tmp[2].".".$tmp[1].".".$tmp[0]." ".substr(@$seperate[1],0,-3);
		}
		return $tmp_date;
	}

//end str date

// start str date only

	function str_date_only($date){
		$tmp_date="";
		if( $date!="" && $date!="0000-00-00" ){
			$seperate=explode(" ",$date);
			$tmp=explode("-",$seperate[0]);
			$tmp_date=$tmp[2].".".$tmp[1].".".$tmp[0];
		}
		return $tmp_date;
	}

//end str date only

// start str date insert

	function str_date_insert($date){
		$tmp_date="";
		if( $date!="" && $date!="00.00.0000" ){
			$seperate=explode(" ",$date);
			$tmp=explode(".",$seperate[0]);
			@$tmp_date=$tmp[2]."-".$tmp[1]."-".$tmp[0];
		}
		return $tmp_date;
	}

//end str date insert

//----------------------------------------------------------

// start image resize

	function image_resize($size,$url){
	
		$path_info=pathinfo($_FILES['picture']['name']);
		$fileext=$path_info['extension'];

		list($width, $height, $type, $attr)=getimagesize($_FILES['picture']['tmp_name']);

		$twidth = 350;
		$theight = 350;
		
		if( isset($size) && $size=="small" ){
			$twidth = 350;
			$theight = 350;
		}
		else if( isset($size) && $size=="large" ){
			$twidth = 1050;
			$theight = 1050;
		}

		if ($height > $width) {
			$zoom = $twidth / $height;
			$newheight = $theight;   
			$newwidth = $width * $zoom;
		} 
		else {
			$zoom = $twidth / $width;
			$newwidth = $twidth;
			$newheight = $height * $zoom;
		} 
		
		if( $fileext=="jpg" || $fileext=="JPG" )
			$temp = imagecreatefromjpeg($_FILES['picture']['tmp_name']);   // Make A New Temporary Image To Create The Thumbanil From 
		else if( $fileext=="png" || $fileext=="PNG" )
			$temp = imagecreatefrompng($_FILES['picture']['tmp_name']);   // Make A New Temporary Image To Create The Thumbanil From 
		else if( $fileext=="gif" || $fileext=="GIF" )
			$temp = imagecreatefromgif($_FILES['picture']['tmp_name']);   // Make A New Temporary Image To Create The Thumbanil From 
			
		$newimg = imagecreatetruecolor($newwidth, $newheight);   // Make New Image For Thumbnail 
		imagecopyresampled($newimg, $temp, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		
		if( $fileext=="jpg" || $fileext=="JPG" )
			imagejpeg($newimg,$url,90);   // Saving The Image 
		else if( $fileext=="png" || $fileext=="PNG" )
			imagepng($newimg,$url);   // Saving The Image 
		else if( $fileext=="gif" || $fileext=="GIF" )
			imagegif($newimg,$url);   // Saving The Image 
		
		imagedestroy($temp);   // Destroying The Temporary Image 
		imagedestroy($newimg);   // Destroying The Other Temporary Image 

	}

//end image resize

//----------------------------------------------------------

// start image resize home

	function image_resize_home($size,$url){
	
		$path_info=pathinfo($_FILES['homepicture']['name']);
		$fileext=$path_info['extension'];

		list($width, $height, $type, $attr)=getimagesize($_FILES['homepicture']['tmp_name']);

		$twidth = 350;
		$theight = 350;
		
		if( isset($size) && $size=="small" ){
			$twidth = 350;
			$theight = 350;
		}
		else if( isset($size) && $size=="large" ){
			$twidth = 1050;
			$theight = 1050;
		}

		if ($height > $width) {
			$zoom = $twidth / $height;
			$newheight = $theight;   
			$newwidth = $width * $zoom;
		} 
		else {
			$zoom = $twidth / $width;
			$newwidth = $twidth;
			$newheight = $height * $zoom;
		} 
		
		if( $fileext=="jpg" || $fileext=="JPG" )
			$temp = imagecreatefromjpeg($_FILES['homepicture']['tmp_name']);   // Make A New Temporary Image To Create The Thumbanil From 
		else if( $fileext=="png" || $fileext=="PNG" )
			$temp = imagecreatefrompng($_FILES['homepicture']['tmp_name']);   // Make A New Temporary Image To Create The Thumbanil From 
		else if( $fileext=="gif" || $fileext=="GIF" )
			$temp = imagecreatefromgif($_FILES['homepicture']['tmp_name']);   // Make A New Temporary Image To Create The Thumbanil From 
			
		$newimg = imagecreatetruecolor($newwidth, $newheight);   // Make New Image For Thumbnail 
		imagecopyresampled($newimg, $temp, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		
		if( $fileext=="jpg" || $fileext=="JPG" )
			imagejpeg($newimg,$url,90);   // Saving The Image 
		else if( $fileext=="png" || $fileext=="PNG" )
			imagepng($newimg,$url);   // Saving The Image 
		else if( $fileext=="gif" || $fileext=="GIF" )
			imagegif($newimg,$url);   // Saving The Image 
		
		imagedestroy($temp);   // Destroying The Temporary Image 
		imagedestroy($newimg);   // Destroying The Other Temporary Image 

	}

//end image resize home

//----------------------------------------------------------

// start str var

	function str_var($str,$var){
		return @$str[$var];
	}

//end str var

//----------------------------------------------------------

// start users permission

	function users_permission(){
		include'db.php';
	global $page_names,$pagename;
		if( !empty($_SESSION['USER_ID']) && !empty($_SESSION['USER_NAME']) ){
			$select="SELECT * FROM users WHERE user_id='".$_SESSION['USER_ID']."' AND name='".$_SESSION['USER_NAME']."' AND state=1 ";
			$result=mysqli_query($connection, $select);
			if (!$result) {
				die('not users select'.mysqli_error($connection));
			}
			$row=mysqli_fetch_row($result);
			if( mysqli_num_rows($result)>0 && array_key_exists($pagename,$page_names) )
				echo "";
			else
				echo "<script language='javascript'>location.href='index.php'</script>";
		}
		else
			echo "<script language='javascript'>location.href='index.php'</script>";
	}

//end users permission

//----------------------------------------------------------

// start security part

global $key;
$key=md5("akyaprak50");

global $salt;
$salt=md5("akyaprak50");

// start admin hash

	function admin_hash($string){
		global $salt;
		
		$string=crypt($string,$salt);

		return $string;
	}

// end admin hash

// start admin encrypt

	function admin_encrypt($string){
		global $key;
		
		$string=rtrim(base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256,$key,$string,MCRYPT_MODE_ECB)));
		
		return $string;
	}

// end admin encrypt

// start admin decrypt

	function admin_decrypt($string){
		global $key;
		
		$string=rtrim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256,$key,base64_decode($string),MCRYPT_MODE_ECB));
		
		return $string;
	}

// end admin encrypt


// end security part

//----------------------------------------------------------

// start query select

	function query_select($query){
		include 'db.php';
		//echo $query."<br>";
		$result=mysqli_query($connection, $query);
		if (!$result) {
			die('not config 685'.mysqli_error($connection));
		}
		if( mysqli_num_rows($result)>0 ){
			$i=0;
			while( $row=mysqli_fetch_row($result) ){
				for( $j=0;$j<mysqli_num_fields($result);$j++ ){
					$var[$i][$j]=stripslashes($row[$j]);
				}//for
				$i++;
			}
			return $var;
		}//if num rows
	}

//end query select

//----------------------------------------------------------

// start query select assoc

	function query_select_assoc($query){
		include 'db.php';
		//echo $query."<br>";
		$result=mysqli_query($connection, $query);
		if (!$result) {
			die('not config 714'.mysqli_error($connection));
		}
		if( mysqli_num_rows($result)>0 ){
			$i=0;
			while( $row=mysqli_fetch_assoc($result) ){
				foreach( $row AS $key=>$val ){
					$var[$i][$key]=stripslashes($val);
				}//foreach
				$i++;
			}
			return $var;
		}//if num rows
	}

//end query select assoc

//----------------------------------------------------------

?>