<?php
session_start();
include("config/db.php");
?>
<!doctype html>
<html class="no-js" lang="zxx">
<?php
include("config/config.php");

$pagename = "index";
$pageid = "";
$pagetitle = "Ak Ýaprak";
?>
<head>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-MJFR9PZ');</script>
<!-- End Google Tag Manager -->
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-151665385-1"></script>
<script>
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
gtag('js', new Date());

gtag('config', 'UA-151665385-1', { 'optimize_id': 'GTM-WSTZ48T'});
</script>
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Title -->
	<title><?php echo $pagetitle;?></title>
    <!-- Place favicon.ico in the root directory -->
    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">
    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
    <link rel="icon" type="image/png" sizes="32x32" href="images/favicon.png">
    <!-- Plugin-CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/linearicons.css">
    <link rel="stylesheet" href="css/magnific-popup.css">
    <link rel="stylesheet" href="css/animate.css">
    <!-- Main-Stylesheets -->
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">
    <script src="js/vendor/modernizr-2.8.3.min.js"></script>
    <!--[if lt IE 9]>
        <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target=".mainmenu-area">
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-MJFR9PZ"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
    <!-- Preloader-content -->
  <!--   <div class="preloader">
        <span><img src="images/gif.gif"></span>
    </div> -->
	
	<?php
	include("config/banner.php");
	?>

    <!-- Home-Area -->
    <header class="home-area overlay" id="home_page" style="background: url('images/mainimg_<?php echo $_SESSION['LANG'];?>.jpg') no-repeat scroll center bottom / cover">
        <div class="container">
            <div class="row">
            </div>
        </div>
    </header>
    <!-- Home-Area-End -->

    <!-- About-Area -->
    <section  id="about_page">
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-md-12" style="padding:0px;">
                	<div align="right" class="subzag1">
                        <p class="bizbarada"><?php echo $page_names['about'];?></p>
						<?php
						if( $_SESSION['LANG']=="tm" ){
						?>
							<p class="mobileHideden">“Ak Ýaprak” hojalyk jemgyýetiniň resmi-web<br> saýtyna hoş geldiňiz!</p>
							<p class="abouttext">“Ak Ýaprak” H.J tebigy hoşboý ysly şireleri öndürýän hususy kärhanadyr. Biz size amatly bahadan, ýokary hilli “7 gün” tebigy hoşboý ysly şireleriň dürli görnüşlerini we “Içäý” sowuk çaýlaryny hödürleýäris. Mundan başga-da, biziň kompaniýamyz “Laktalis” süýt önümleriniň we “President” mesge ýaglarynyň Türkmenistandaky ýeke-täk dileri bolup çykyş edýär.</p>
						<?php
						}//if lang tm
						else if( $_SESSION['LANG']=="ru" ){
						?>
							<p class="mobileHideden">Добро пожаловать на веб сайт Хозяйственного<br> Общества “Ак Япрак”</p>
							<p class="abouttext">ХО “Ак Япрак”, является частным предприятием по производству натуральных ароматизированных соков. Мы рады предложить Вам по лучшим ценам широкий ассортимент высококачественных натуральных соков “7 Gun” и холодных чаев “Içäý”. Кроме того, наша компания является единственным дилером в Туркменистане по молочной продукции “Lactalis” и масла “President”.</p>
						<?php
						}//else if lang ru
						else if( $_SESSION['LANG']=="en" ){
						?>
							<p class="mobileHideden">Welcome to the official website of the<br> “Ak Yaprak” Economic Society!</p>
							<p class="abouttext">“Ak Yaprak” ES is a private enterprise producing natural flavored juices. We are pleased to offer you a wide range of high-quality natural “7 Gün” juices and “Içäý” cold teas with convenient prices. In addition, our company is the only dealer of “Lactalis” dairy products and “President” butter in Turkmenistan.</p>
						<?php
						}//else if lang en
						?>
                       	<button class="readmore"><a class="btnlink" href="about.php"><?php echo $words['readmore'];?></a></button>
                     </div>
                     <img src="images/aboutbg.svg" width="100%">
                </div>
            </div>
        </div>
    </section>
    <!-- About-Area-End -->
  
    <!-- Products-Area -->
    <section id="products_page">
        <div class="container-fluid">
            <div class="row">
            	<h2><?php echo $page_names['products'];?></h2>
				<?php
				$varProducts=query_select_assoc("SELECT 
										products.product_id, 
										products.name_".$_SESSION['LANG']." AS name, 
										products.note_".$_SESSION['LANG']." AS note, 
										products.price
										FROM products
										WHERE products.state=1
										ORDER BY products.order_no ASC");
				if( $varProducts>0 ){
					for( $i=0;$i<count($varProducts);$i++ ){
						$image=check_imageexist("img/products/home/".$varProducts[$i]['product_id']);
					?>
	                <div class="col-xs-12 col-md-12" style="padding:0px;">
						<?php
						if( $i%2==0 ){
						?>
	                	<div align="left" class="ProductZagLeft">
						<?php
						}//if
						else{
						?>
	                	<div align="right" class="ProductZagRight">
						<?php
						}//else
						?>
							<p class="ProductName"><?php echo $varProducts[$i]['name'];?></p>
							<p class="ProductDesc"><?php echo $varProducts[$i]['note'];?></p>
							<!-- <button class="readmore" onClick="location.href='orders.php?buy=<?php echo base64_encode($varProducts[$i]['product_id']);?>'"><?php echo $words['buy'];?></button> -->
							<button onclick="add_cart1(<?php echo $varProducts[$i]['product_id']; ?>)" class="readmore"><?php echo $words['buy']; ?></button>
						</div>
	                	<img src="<?php echo $image;?>" width="100%">
					</div>
					<?php
					}//for
				}//if varProducts>0
				?>
	            </div>
	            <h4 align="center" style="margin-top: 5%;"><a href="products.php"><?php echo $words['allproducts'];?></a></h4>
	        </div>
    </section>
	<!-- Products-Area-End -->

	<?php
	include("config/footer.php");
	?>

    <!--Vendor-JS-->
    
    <script src="js/vendor/jquery-1.12.4.min.js"></script>
    <script src="js/vendor/jquery-ui.js"></script>
    <script src="js/vendor/bootstrap.min.js"></script>
    <!--Plugin-JS-->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/contact-form.js"></script>
    <script src="js/ajaxchimp.js"></script>
    <script src="js/scrollUp.min.js"></script>
    <script src="js/magnific-popup.min.js"></script>
    <script src="js/wow.min.js"></script>
    <!--Main-active-JS-->
    <script src="js/main.js"></script>
    <script src="js/script.js"></script>
	<script>
		function openNav() {
		  document.getElementById("mySidenav").style.width = "250px";
		}
	
		function closeNav() {
		  document.getElementById("mySidenav").style.width = "0";
		}
	</script>
	<!-- /SideNav -->

	<!-- LogIn -->
	<script>
		// Get the modal
		var modal = document.getElementById("myModal");
		
		// Get the button that opens the modal
		var btn = document.getElementById("signUp");
		
		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];
		
		// When the user clicks the button, open the modal 
		btn.onclick = function() {
		  modal.style.display = "block";
		}
		
		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		  modal.style.display = "none";
		}
		
		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		  if (event.target == modal) {
			modal.style.display = "none";
		  }
		}
	</script>
	<!-- /LogIn -->
</body>
</html>