<?php
session_start();
include("config/db.php");
?>
<!doctype html>
<html class="no-js" lang="zxx">
<?php
include("config/config.php");

$pagename = "myorders";
$pageid = "";
$pagetitle = $words[$pagename];

if( isset($_GET['reorder']) && base64_decode($_GET['reorder'])>0 ){
	if( empty($_SESSION['ORDER']) ){
		$varNo=query_select("SELECT MAX(order_no) FROM orders WHERE reg_date LIKE '".date("Y-m-d")."%' ");
		if( $varNo[0][0]>0 ){
			$order_no=$varNo[0][0]+1;
		}//if
		else{
			$order_no=1;
		}//else
		$reg_user="#".$_SERVER['REMOTE_ADDR'];
		$reg_date = date("Y-m-d H:i:s");
		if( isset($_SESSION['SIGNEDUSER']) )
			$insert="INSERT INTO orders(order_no, signeduser_id, type, status, reg_user, reg_date, state) values('".$order_no."', '".base64_decode($_SESSION['SIGNEDUSER'])."', '1', '1', '".$reg_user."', '".$reg_date."', '1')";
		else
			$insert="INSERT INTO orders(order_no, type, status, reg_user, reg_date, state) values('".$order_no."', '1', '1', '".$reg_user."', '".$reg_date."', '1')";
		$sql_insert = mysqli_query($connection, $insert);
		if (!$sql_insert) {
			die('not insert orders'.mysqli_error($connection));
		}
		
		$varOrder=query_select("SELECT MAX(order_id) FROM orders WHERE status=1");
		$_SESSION['ORDER']=$varOrder[0][0];
	}//if empty order
	
	if( isset($_SESSION['ORDER']) ){
		$varOrderdetails=query_select_assoc("SELECT 
								orderdetails.orderdetail_id,
								orderdetails.product_id,
								orderdetails.amount,
								products.price,
								products.name_".$_SESSION['LANG']." AS name, 
								products.barcode
								FROM orderdetails, products
								WHERE orderdetails.order_id='".base64_decode($_GET['reorder'])."' AND orderdetails.product_id=products.product_id
								ORDER BY orderdetails.orderdetail_id ASC");
		for( $i=0;$i<count($varOrderdetails);$i++ ){
			$reg_user="#".$_SERVER['REMOTE_ADDR'];
			$reg_date = date("Y-m-d H:i:s");
			$insert="INSERT INTO orderdetails(order_id, product_id, amount, price, reg_user, reg_date, state) values('".$_SESSION['ORDER']."', '".$varOrderdetails[$i]['product_id']."', '".$varOrderdetails[$i]['amount']."', '".$varOrderdetails[$i]['price']."', '".$reg_user."', '".$reg_date."', '1')";
			$sql_insert = mysqli_query($connection, $insert);
			if (!$sql_insert) {
				die('not insert orderdetails'.mysqli_error($connection));
			}
		}//for
		echo "<script language='javascript'>location.href='orders.php'</script>";
	}//if isset order
}//if
?>
<head>
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Title -->
	<title><?php echo $pagetitle;?></title>
    <!-- Place favicon.ico in the root directory -->
    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">
    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
    <link rel="icon" type="image/png" sizes="32x32" href="images/favicon.png">
    <!-- Plugin-CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/linearicons.css">
    <link rel="stylesheet" href="css/magnific-popup.css">
    <link rel="stylesheet" href="css/animate.css">
    <!-- Main-Stylesheets -->
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">
    <script src="js/vendor/modernizr-2.8.3.min.js"></script>
    <!--[if lt IE 9]>
        <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target=".mainmenu-area">
    <!-- Preloader-content -->
    <div class="preloader">
        <span><img src="images/gif.gif"></span>
    </div>

	<?php
	include("config/banner.php");

	if( empty($_SESSION['LOGIN']) )
		echo "<script language='javascript'>location.href='index.php'</script>";
	?>

	<div align="center" class="container" style="margin-top: 10%">
		<div class="row">
			<div class="col-md-12">
				<img class="img-rounded" src="images/user.svg" width="10%">
				<p class="signUptext"><?php echo $words['welcome'];?></p>
				<p class="signUptext"><?php echo $_SESSION['LOGIN'];?></p>
				<hr class="hrsignup">
                <h4><b>Sargytlarym</b></h4>
				<table>
					<tr>
						<th><?php echo $words['order_no'];?></th>
						<th><?php echo $words['order_date'];?></th>
						<th><?php echo $words['order_total'];?></th>
						<th><?php echo $words['order_status'];?></th>
						<th><?php echo $words['order_reorder'];?></th>
					</tr>
					<?php
					$varOrders=query_select_assoc("SELECT 
											orders.order_id,
											orders.order_no,
											DATE_FORMAT(orders.reg_date,'%d.%m.%Y') AS reg_date, 
											(SELECT SUM(orderdetails.amount*orderdetails.price) FROM orderdetails WHERE orderdetails.order_id=orders.order_id) AS total,
											orders.status
											FROM orders
											WHERE orders.state=1 AND orders.status>1 AND orders.signeduser_id='".base64_decode($_SESSION['SIGNEDUSER'])."' 
											ORDER BY orders.reg_date DESC, orders.order_no ASC");
					for( $i=0;$i<count($varOrders);$i++ ){
						?>
						<tr>
							<td><?php echo $varOrders[$i]['order_no'];?></td>
							<td><?php echo $varOrders[$i]['reg_date'];?></td>
							<td>
								<?php
								if( $varOrders[$i]['total']>0 )
									echo $varOrders[$i]['total']." ".$words['manat'];
								?>
							</td>
							<td><?php echo $orders_status[$varOrders[$i]['status']];?></td>
							<td><button class="reorder" onClick="location.href='myorders.php?reorder=<?php echo base64_encode($varOrders[$i]['order_id']);?>'"><i class="lnr lnr-undo"></i></button></td>
						</tr>
						<?php
					}//for
					?>
				</table>
			</div>
		</div>
        <a class="btnbuy" href="<?php echo $pagename;?>.php?logout=1"><?php echo $words['logout'];?></a>   
	</div>

	<?php
	include("config/footer.php");
	?>
    
    <!--Vendor-JS-->
  
    <script src="js/vendor/jquery-1.12.4.min.js"></script>
    <script src="js/vendor/jquery-ui.js"></script>
    <script src="js/vendor/bootstrap.min.js"></script>
    <!--Plugin-JS-->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/contact-form.js"></script>
    <script src="js/ajaxchimp.js"></script>
    <script src="js/scrollUp.min.js"></script>
    <script src="js/magnific-popup.min.js"></script>
    <script src="js/wow.min.js"></script>
    <!--Main-active-JS-->
    <script src="js/main.js"></script>
    <script src="js/script.js"></script>
	<script>
		function openNav() {
		  document.getElementById("mySidenav").style.width = "250px";
		}
	
		function closeNav() {
		  document.getElementById("mySidenav").style.width = "0";
		}
	</script>
	<!-- /SideNav -->

	<!-- LogIn -->
	<script>
		// Get the modal
		var modal = document.getElementById("myModal");
		
		// Get the button that opens the modal
		var btn = document.getElementById("signUp");
		
		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];
		
		// When the user clicks the button, open the modal 
		btn.onclick = function() {
		  modal.style.display = "block";
		}
		
		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		  modal.style.display = "none";
		}
		
		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		  if (event.target == modal) {
			modal.style.display = "none";
		  }
		}
	</script>
	<!-- /LogIn -->
</body>
</html>