<?php
session_start();
include("config/db.php");
?>
<!doctype html>
<html class="no-js" lang="zxx">
<?php
include("config/config.php");

$pagename = "products";
$pageid = "";
$pagetitle = $page_names[$pagename];
?>
<head>
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Title -->
	<title><?php echo $pagetitle;?></title>
    <!-- Place favicon.ico in the root directory -->
    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">
    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />
    <link rel="icon" type="image/png" sizes="32x32" href="images/favicon.png">
    <!-- Plugin-CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/linearicons.css">
    <link rel="stylesheet" href="css/magnific-popup.css">
    <link rel="stylesheet" href="css/animate.css">
    <!-- Main-Stylesheets -->
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">
    <script src="js/vendor/modernizr-2.8.3.min.js"></script>
    <!--[if lt IE 9]>
        <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target=".mainmenu-area">
    <!-- Preloader-content -->
    <div class="preloader">
        <span><img src="images/gif.gif"></span>
    </div>
	
	<?php
	include("config/banner.php");
	?>

    <div class="section-padding" style="margin-top:2%;">
        <div class="container">
			<h4 align="left"><b><?php echo $words['order_rule'];?></b></h4>
			<p align="left"><?php echo $words['order_ruletext'];?></p>
            <div class="row">
				<?php
				$varProducts=query_select_assoc("SELECT 
										products.product_id, 
										products.name_".$_SESSION['LANG']." AS name, 
										products.note_".$_SESSION['LANG']." AS note, 
										products.price,
										(SELECT orderdetails.amount FROM orders, orderdetails WHERE orders.state=1 AND orders.status=1 AND orders.order_id=orderdetails.order_id AND orders.order_id='".@$_SESSION['ORDER']."' AND orderdetails.product_id=products.product_id LIMIT 0,1 ) AS amount
										FROM products
										WHERE products.state=1
										ORDER BY products.order_no ASC");
				if( $varProducts>0 ){
					for( $i=0;$i<count($varProducts);$i++ ){
					?>
					<div align="center" class="col-xs-12 col-sm-6 col-md-4">
						<article class="post-single">
							<figure class="post-media">
								<?php
								$image=check_imageexist("img/products/".$varProducts[$i]['product_id']);
								if( $image!="" )
									echo "<img src='$image' width='30'>";
								?>
							</figure>
	<div class="post-body">
		<div align="center" class="post-meta">
			<h4 class="prdctname"><?php echo $varProducts[$i]['name'];?></h4>
			<h6 class="prdctname"><font color="#BD1E2D"><?php echo $words['baha']; ?>: <?php echo $varProducts[$i]['price'];?> <?php echo $words['tmt'];  ?></font></h6>
			<div class="qty mt-5">
				<span class="minus bg-dark" data-product="<?php echo $varProducts[$i]['product_id'];?>">-</span>
				<?php 
$array = array();
$basket_amount = 0;
/*include 'includes/session.php';*/
$number = $_SESSION['number'];
for ($y=0; $y < $number; $y++) { 
    $order = 'order'.$y;
    if (!empty($_SESSION[$order])) {
        $array = $_SESSION[$order];
        if ($varProducts[$i]['product_id'] == $array[0]) {
           $basket_amount = $array[1];
        }
    }
}
                                            
if ($basket_amount > 0) {

    ?>

    <input type="number" class="count"
           id="amount_<?php echo $varProducts[$i]['product_id']; ?>"
           name="amount" min="1"
           value="<?php echo $basket_amount; ?>">

    <?php

}//if

else {

    ?>

    <input type="number" class="count"
           id="amount_<?php echo $varProducts[$i]['product_id']; ?>"
           data-product="<?php echo base64_encode($varProducts[$i]['product_id']); ?>"
           name="amount" min="1" value="1">

    <?php

}

?>
				<span class="plus bg-dark" data-product="<?php echo $varProducts[$i]['product_id'];?>">+</span>
			</div>
		</div>
		<!-- <a href="#" data-product="<?php echo $varProducts[$i]['product_id'];?>" data-product2="<?php echo base64_encode($varProducts[$i]['product_id']);?>" class="read-more buy_button"><?php echo $words['buy'];?></a> -->
		<button onclick="add_cart(<?php echo $varProducts[$i]['product_id'];?>)" class="btn read-more buy_button"><?php echo $words['buy']?></button>
	</div>
</article>
</div>
					<?php
					}//for
				}//if varProducts>0
				?>
            </div>
        </div>
    </div>

    <!-- <div class="alert alert-success" role="alert" id="div_alert">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <strong id="strong_alert">Zakaz Kabul edildi</strong>
    </div> -->

	<?php
	include("config/footer.php");
	?>

    <!--Vendor-JS-->
    
    <script src="js/vendor/jquery-1.12.4.min.js"></script>
    <script src="js/vendor/jquery-ui.js"></script>
    <script src="js/vendor/bootstrap.min.js"></script>
    <!--Plugin-JS-->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/contact-form.js"></script>
    <script src="js/ajaxchimp.js"></script>
    <script src="js/scrollUp.min.js"></script>
    <script src="js/magnific-popup.min.js"></script>
    <script src="js/wow.min.js"></script>
    <!--Main-active-JS-->
    <script src="js/main.js"></script>
    <script src="js/script.js"></script>
	<script>
		function openNav() {
		  document.getElementById("mySidenav").style.width = "250px";
		}
	
		function closeNav() {
		  document.getElementById("mySidenav").style.width = "0";
		}
	</script>
	<!-- /SideNav -->

	<!-- LogIn -->
	<script>
		// Get the modal
		var modal = document.getElementById("myModal");
		
		// Get the button that opens the modal
		var btn = document.getElementById("signUp");
		
		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];
		
		// When the user clicks the button, open the modal 
		btn.onclick = function() {
		  modal.style.display = "block";
		}
		
		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		  modal.style.display = "none";
		}
		
		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		  if (event.target == modal) {
			modal.style.display = "none";
		  }
		}
	</script>
	<!-- /LogIn -->
	<script>		
        /*$(document).ready(function() {
            // Bind submit button onclick handler to send an Ajax request and
            //  process Ajax response.

            $(".buy_button").click(function(){
                //e.preventDefault();
                var productValue = $(this).attr('data-product');
                var product2Value = $(this).attr('data-product2');
                var amountValue = $("#amount_"+productValue).val();
                //location.href='orders.php?buy='+product2Value+'&amount='+amountValue;

                $.ajax(
                    {
                        type:'GET',
                        url:'buy.php',
                        data:"buy="+product2Value+"&amount="+amountValue,
                        success: function(data){

                            $(".right-button").load(" .right-button");
                            setTimeout(function(e){
                                $('#successModal').modal('show');
                            }, 100);
                            setTimeout(function(e){
                                $('#successModal').modal('hide');
                            }, 2000);
                        }
                    }
                );

            });

        });*/

		$(function () {
			/*
		    $(".buy_button").click(function(){
				var productValue = $(this).attr('data-product');
				var product2Value = $(this).attr('data-product2');
				var amountValue = $("#amount_"+productValue).val();
				location.href='orders.php?buy='+product2Value+'&amount='+amountValue;
				return false;
			});
			*/

			$(".minus").click(function(){
				var productValue = $(this).attr('data-product');
				var amountValue = $("#amount_"+productValue).val();
				if( amountValue>1 )
					amountValue=parseInt(amountValue)-1;
				$("#amount_"+productValue).val(amountValue);
				return false;
			});

			$(".plus").click(function(){
				var productValue = $(this).attr('data-product');
				var amountValue = $("#amount_"+productValue).val();
				amountValue=parseInt(amountValue)+1;
				$("#amount_"+productValue).val(amountValue);
				return false;
			});
		});
	</script>
	
</body>
</html>